<?php
session_start();

include_once 'autoload.php';

$load_action = "";

if(isset($_POST['action'])) {
  $load_action = filter_input(INPUT_POST, 'action', $filter = FILTER_SANITIZE_STRING);

  if($load_action == "getChatOk" && login_check($mysqli) == true) {
    $load_id = filter_input(INPUT_POST, 'id', $filter = FILTER_SANITIZE_STRING);

    $stmt = $mysqli->prepare("UPDATE lotus_chat SET gelesen = 1 WHERE id = ? AND nachId = ?");
    $stmt->bind_param('ii', $load_id, $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->close();
  }

  if($load_action == "sendChat" && login_check($mysqli) == true) {
    $load_id = filter_input(INPUT_POST, 'id', $filter = FILTER_SANITIZE_STRING);
    $load_text = $_POST['text'];
    $load_text = strip_tags($load_text, '<br>');
    $load_text = clearWordWrap($load_text, 25);

    $status = getFriendStatus($load_id, $mysqli);
    $userDetails = getUserDetails($load_id, $mysqli);

    if($status != 3 && $userDetails[0]['getmail'] == 1) {
      echo "send2";

      $now = time();
      $stmt = $mysqli->prepare("INSERT INTO lotus_chat (vonId, nachId, gelesen, msg, zeit) VALUES (?,?,0,?,?)");
      $stmt->bind_param('iiss', $_SESSION['user_id'], $load_id,$load_text,$now);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();
    }
  }

  if($load_action == "getChat" && login_check($mysqli) == true) {
    $load_id = filter_input(INPUT_POST, 'id', $filter = FILTER_SANITIZE_STRING);

    $userDetails = getUserDetails($_SESSION['user_id'], $mysqli);
    $partnerDetails = getUserDetails($load_id, $mysqli);
    $partnerAvatar = getPictureSrc($load_id, $mysqli);


    echo "<h2 id='chatid' data-id='".$load_id."' class='openBox' data-box='profilBox' data-userid='".$partnerDetails[0]['user_id']."'>";
      echo "<span class='inline-block' style='vertical-align:middle;'><img class='avatarSmall' src='".$partnerAvatar."'></span>";
      echo "<span class='inline-block' style='padding-left: 5px;vertical-align:middle;padding-bottom:3px;'><b>".$partnerDetails[0]['nick']."</b></span><br>";
    echo "</h2>";

    $data = array();
    $stmt = $mysqli->prepare("SELECT id, vonId, nachId, gelesen, msg, zeit FROM lotus_chat WHERE (vonId = ? AND nachId = ?) OR (vonId = ? AND nachId = ?) ORDER BY id DESC LIMIT 0,30");
    $mysqli->stmt_init();
    $stmt->bind_param('iiii', $_SESSION['user_id'], $load_id, $load_id, $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.

    // hole Variablen von result.
    $stmt->bind_result($id, $vonId, $nachId, $gelesen, $msg, $zeit);

    $fid = 0;
    while ($row = $stmt->fetch()){
      $data[] = array(
        'id' => $id,
        'vonId' => $vonId,
        'nachId' => $nachId,
        'gelesen' => $gelesen,
        'msg' => $msg,
        'zeit' => $zeit,
      );
    }
    $stmt->close();

    $data = array_reverse($data);

    echo "<div id='chatBoxList'>";
    foreach ($data as &$value) {
      //set gelesen
      if($value['nachId'] == $_SESSION['user_id']) {
        $stmt = $mysqli->prepare("UPDATE lotus_chat SET gelesen = 1 WHERE id = ?");
        $stmt->bind_param('i', $value['id']);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->close();
      }

      //$userDetails $partnerDetails
      //schreibe
      $send = "";
      if($_SESSION['user_id'] == $value['vonId']) {
        $send = "sendChat";
      } else {
        $send = "recChat";
      }

      echo "<div class='chatLine ".$send."'>";
        echo "<span>".$value['msg']."</span>";
      echo "</div>";

    }
    echo "</div>";

    echo "<div id='chatBoxSendBox'>";
      echo "<textarea></textarea><input id='chatSend' type='submit' value='send'>";
    echo "</div>";

  }

  if($load_action == "getMailbox" && login_check($mysqli) == true) {

    echo "<h2>Mailbox</h2>";

    //old chats
    $data = array();
    $stmt = $mysqli->prepare("SELECT id, vonId, nachId, gelesen, msg, zeit FROM lotus_chat WHERE (vonId = ? OR nachId = ?) ORDER BY id DESC");
    $mysqli->stmt_init();
    $stmt->bind_param('ii', $_SESSION['user_id'], $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.

    // hole Variablen von result.
    $stmt->bind_result($id, $vonId, $nachId, $gelesen, $msg, $zeit);

    $fid = 0;
    while ($row = $stmt->fetch()){
      if($_SESSION['user_id'] == $vonId) {
        $fid = $nachId;
      } else {
        $fid = $vonId;
      }

      if($fid != 0) {
        $data[] = $fid;
      }

      $fid = 0;
    }
    $stmt->close();

    $groupedIds = array();
    foreach ($data as &$value) {
      if (!in_array($value, $groupedIds)) {
        $groupedIds[] = $value;
      }
    }

    $msgBlock = array();
    foreach ($groupedIds as &$value) {
      $userDetails = getUserDetails($value, $mysqli);
      $userAvatar = getPictureSrc($value, $mysqli);

      $status = isOnline($userDetails[0]['last_login']);

      if($status <= 1) {
        $status = "online";
      } else {
        $status = "";
      }

      //get last msg
      $stmt = $mysqli->prepare("SELECT id, vonId, nachId, gelesen, msg, zeit FROM lotus_chat WHERE (vonId = ? AND nachId = ?) OR (vonId = ? AND nachId = ?) ORDER BY id DESC");
      $mysqli->stmt_init();
      $stmt->bind_param('iiii', $_SESSION['user_id'], $value, $value, $_SESSION['user_id']);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($id, $vonId, $nachId, $gelesen, $msg, $zeit);
      $stmt->fetch();
      $stmt->close();

      $dateFormat = date('d.m.Y H:i:s', $zeit);

      $msgBlock[] = array(
        'user_id' => $userDetails[0]['user_id'],
        'user_name' => $userDetails[0]['nick'],
        'last_login' => $userDetails[0]['last_login'],
        'avatar' => $userAvatar,
        'msg' => $msg,
        'last_msg_time' => $dateFormat,
        'status' => $status,
        'gelesen' => $gelesen,
      );
    }

    echo "<div id='mailBoxList'>";
    foreach ($msgBlock as &$value) {
      $stmt = $mysqli->prepare("SELECT count(id) FROM lotus_chat WHERE nachId = ? AND vonId = ? AND gelesen = 0");
      $stmt->bind_param('ii', $_SESSION['user_id'], $value['user_id']);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      // hole Variablen von result.
      $stmt->bind_result($count);
      $stmt->fetch();
      $stmt->close();

      $gelesen = "";
      if($count == 0) {
        $gelesen = "gelesen";
      }

      if(strlen($value['msg']) > 255) {
        $restText = substr($value['msg'], 0, 255)."...";
      } else {
        $restText = $value['msg'];
      }

      echo "<div class='friendOldSenderLi ".$gelesen." openBox' data-box='chatBox' data-id='".$value['user_id']."'>";
        echo "<span class='inline-block' style='vertical-align:middle;'><img class='avatarSmall' src='".$value['avatar']."'></span>";
        echo "<span class='inline-block' style='padding-left: 5px;vertical-align:middle;padding-bottom:3px;'><b>".$value['user_name']."</b></span><br>";
        echo "<span>".$restText."</span>";
        echo "<span class='fZeit small'>".$value['last_msg_time']."</span>";
        echo "<span class='fLiOnline ".$value['status']."'></span>";
      echo "</div>";
    }
    echo "</div>";

    //freundesliste
    $friends = getFriendsSortOnlineList($_SESSION['user_id'], $mysqli);

    echo "<div id='mailBoxFlList'>";
    foreach ($friends as &$value) {
      $userDetails = getUserDetails($value, $mysqli);
      $userAvatar = getPictureSrc($value, $mysqli);

      $status = isOnline($userDetails[0]['last_login']);
      if($status <= 1) {
        $status = "online";
      } else {
        $status = "";
      }

      if(strlen($userDetails[0]['nick']) > 20) {
        $restNick = substr($userDetails[0]['nick'], 0, 20)."...";
      } else {
        $restNick = $userDetails[0]['nick'];
      }

      echo "<div class='friendLi openBox' data-box='chatBox' data-id='".$userDetails[0]['user_id']."'>";
        echo "<span class='inline-block' style='vertical-align:middle;'><img class='avatarSmall' src='".$userAvatar."'></span>";
        echo "<span class='inline-block chatNick' style='padding-left: 5px;vertical-align:middle;padding-bottom:3px;'><b>".$restNick."</b></span>";
        echo "<span class='fLiOnline ".$status."'></span>";
      echo "</div>";
    }

    echo "</div>";
  }

}
