<?php
session_start();

include_once 'autoload.php';

$load_action = "";

if(isset($_POST['action'])) {
  $load_action = filter_input(INPUT_POST, 'action', $filter = FILTER_SANITIZE_STRING);

  if($load_action == 'enr') {
    $load_lat = filter_input(INPUT_POST, 'lat', $filter = FILTER_SANITIZE_STRING);
    $load_long = filter_input(INPUT_POST, 'lng', $filter = FILTER_SANITIZE_STRING);
    $load_page = filter_input(INPUT_POST, 'page', $filter = FILTER_SANITIZE_STRING);
    $load_filter = filter_input(INPUT_POST, 'filter', $filter = FILTER_SANITIZE_STRING);

    //adjust Filter
    $load_filter = explode("&", $load_filter);

    $where = "";
    $dateParse = "";
    foreach ($load_filter as &$value) {
      if($value == "enrLGBT=on") {
        $where = $where."AND LGBT = 1 ";
      }

      if($value == "enrPrice=on") {
        $where = $where."AND eintritt = 0 ";
      }

      $optionSplit = explode("=", $value);

      if($optionSplit[0] == "religion" && $optionSplit[1] != 'all') {
        $where = $where."AND religion = '".$optionSplit[1]."' ";
      }

      if($optionSplit[0] == "diaet" && $optionSplit[1] != 'all') {
        $where = $where."AND veggie = '".$optionSplit[1]."' ";
      }

      if($optionSplit[0] == "enrDesc" && $optionSplit[1] != '') {
        $load_SuchText = explode("+", $optionSplit[1]);
        if(count($load_SuchText) > 1) {
          foreach ($load_SuchText as &$value) {
            if($value != "") {
              $where = $where."AND ( beschreibung LIKE '%".$value."%' OR name LIKE '%".$value."%' )";
            }
          }
        } else {
          $where = $where."AND ( beschreibung LIKE '%".$optionSplit[1]."%' OR name LIKE '%".$optionSplit[1]."%' )";
        }
      }
    }

    //load Marker
    $data = array();
    $stmt = $mysqli->prepare("SELECT id, name, religion, LGBT, veggie, eintritt, lat, lng, beschreibung, ACOS( SIN( RADIANS( `lat` ) ) * SIN( RADIANS( ? ) ) + COS( RADIANS( `lat` ) ) * COS( RADIANS( ? )) * COS( RADIANS( `lng` ) - RADIANS( ? )) ) * 6380 AS `distance` FROM `lotus_einrichtung` WHERE 1 ".$where." ORDER BY distance DESC LIMIT ?,50");
    $stmt->bind_param('dddi', $load_lat, $load_lat, $load_long, $load_page);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage , aus.
    // hole Variablen von result.
    $stmt->bind_result($id, $name, $religion, $LGBT, $veggie, $eintritt, $lat, $lng, $beschreibung, $distance);

    while ($row = $stmt->fetch()){
      if(strlen($name) > 20) {
        $restName = substr($name, 0, 20)."...";
      } else {
        $restName = $name;
      }

      if(strlen($beschreibung) > 150) {
        $beschreibung = substr($beschreibung, 0, 150)."...";
      } else {
        $beschreibung = $beschreibung;
      }

      $data[] = array(
        'id' => $id, //0
        'name' => $name, //1
        'religion' => $religion, //2
        'LGBT' => $LGBT, //3
        'veggie' => $veggie, //4
        'eintritt' => $eintritt, //5
        'restName' => $restName, //6
        'beschreibung' => $beschreibung, //7
        'lat' => $lat, //8
        'lng' => $lng, //9
      );
    }
    $stmt->close();

    foreach ($data as &$value) {
      $LGBT = $langFile->loadText("page",$value['LGBT']);
      $diaet = $langFile->loadText("page",$value['veggie']);
      $religion = $langFile->loadText("page",$value['religion']."long");

      echo $value['id']."<[x]>".$value['name']."<[x]>".$religion."<[x]>".$LGBT."<[x]>".$diaet."<[x]>".$value['eintritt']."<[x]>".$value['restName']."<[x]>".$value['beschreibung']."<[x]>".$value['lat']."<[x]>".$value['lng']."<[#]>";
    }
  }

  if($load_action == 'evt') {
    $load_lat = filter_input(INPUT_POST, 'lat', $filter = FILTER_SANITIZE_STRING);
    $load_long = filter_input(INPUT_POST, 'lng', $filter = FILTER_SANITIZE_STRING);
    $load_page = filter_input(INPUT_POST, 'page', $filter = FILTER_SANITIZE_STRING);
    $load_filter = filter_input(INPUT_POST, 'filter', $filter = FILTER_SANITIZE_STRING);

    //adjust Filter
    $load_filter = explode("&", $load_filter);

    $where = "";
    $dateParse = "";
    foreach ($load_filter as &$value) {
      if($value == "evtLGBT=on") {
        $where = $where."AND LGBT = 1 ";
      }

      if($value == "evtPrice=on") {
        $where = $where."AND eintritt = 0 ";
      }

      if($value == "evtVeggie=on") {
        $where = $where."AND veggie = 1 ";
      }

      $optionSplit = explode("=", $value);

      if($optionSplit[0] == "religion" && $optionSplit[1] != 'all') {
        $where = $where."AND religion = '".$optionSplit[1]."' ";
      }

      if($optionSplit[0] == "evtStart" && $optionSplit[1] != '') {
        $dateParse = $optionSplit[1];
        $dateParse = str_replace('%2F', '/', $dateParse);
        $dateParse = str_replace('%3A', ':', $dateParse);
        $dateParse = strtotime($dateParse);

        $where = $where."AND ( start >= '".$dateParse."' OR ende >= '".$dateParse."' ) ";
      }

      if($optionSplit[0] == "evtEnde" && $optionSplit[1] != '') {
        $dateParse = $optionSplit[1];
        $dateParse = str_replace('%2F', '/', $dateParse);
        $dateParse = str_replace('%3A', ':', $dateParse);
        $dateParse = strtotime($dateParse);

        $where = $where."AND ende <= '".$dateParse."' ";
      }

      if($optionSplit[0] == "evtDesc" && $optionSplit[1] != '') {
        $load_SuchText = explode("+", $optionSplit[1]);
        if(count($load_SuchText) > 1) {
          foreach ($load_SuchText as &$value) {
            if($value != "") {
              $where = $where."AND ( beschreibung LIKE '%".$value."%' OR name LIKE '%".$value."%' )";
            }
          }
        } else {
          $where = $where."AND ( beschreibung LIKE '%".$optionSplit[1]."%' OR name LIKE '%".$optionSplit[1]."%' )";
        }
      }
    }

    if ($dateParse == "") {
      $now = time();
      $where = $where."AND ( start >= '".$now."' OR ende >= '".$now."') ";

    }

    //load Marker
    $data = array();
    $stmt = $mysqli->prepare("SELECT id, name, start, ende, religion, LGBT, veggie, eintritt, lat, lng, beschreibung, ACOS( SIN( RADIANS( `lat` ) ) * SIN( RADIANS( ? ) ) + COS( RADIANS( `lat` ) ) * COS( RADIANS( ? )) * COS( RADIANS( `lng` ) - RADIANS( ? )) ) * 6380 AS `distance` FROM `lotus_events` WHERE start < ende ".$where." ORDER BY distance DESC LIMIT ?,50");
    $stmt->bind_param('dddi', $load_lat, $load_lat, $load_long, $load_page);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage , aus.
    // hole Variablen von result.
    $stmt->bind_result($id, $name, $start, $ende, $religion, $LGBT, $veggie, $eintritt, $lat, $lng, $beschreibung, $distance);

    while ($row = $stmt->fetch()){
      if(strlen($name) > 20) {
        $restName = substr($name, 0, 20)."...";
      } else {
        $restName = $name;
      }

      if(strlen($beschreibung) > 150) {
        $beschreibung = substr($beschreibung, 0, 150)."...";
      } else {
        $beschreibung = $beschreibung;
      }

      $startDateShort = date('d.m', $start);

      $data[] = array(
        'id' => $id, //0
        'name' => $name, //1
        'start' => $start, //2
        'ende' => $ende, //3
        'religion' => $religion, //4
        'LGBT' => $LGBT, //5
        'veggie' => $veggie, //6
        'eintritt' => $eintritt, //7
        'lat' => $lat, //8
        'lng' => $lng, //9
        'restName' => $restName, //10
        'startDateShort' => $startDateShort, //11
        'beschreibung' => $beschreibung, //12
      );
    }
    $stmt->close();

    $data = array_sort($data, 'start', SORT_ASC);

    foreach ($data as &$value) {
      $LGBT = $langFile->loadText("page",$value['LGBT']);
      $diaet = $langFile->loadText("page",$value['veggie']);
      $religion = $langFile->loadText("page",$value['religion']."long");
      $startDate = parseDate($value['start']);
      $endDate = parseDate($value['ende']);

      echo $value['id']."<[x]>".$value['name']."<[x]>".$startDate."<[x]>".$endDate."<[x]>".$religion."<[x]>".$LGBT."<[x]>".$diaet."<[x]>".$value['eintritt']."<[x]>".$value['lat']."<[x]>".$value['lng']."<[x]>".$value['restName']."<[x]>".$value['startDateShort']."<[x]>".$value['beschreibung']."<[#]>";
    }
  }

  if($load_action == 'cnt') {
    $load_lat = filter_input(INPUT_POST, 'lat', $filter = FILTER_SANITIZE_STRING);
    $load_long = filter_input(INPUT_POST, 'lng', $filter = FILTER_SANITIZE_STRING);
    $load_page = filter_input(INPUT_POST, 'page', $filter = FILTER_SANITIZE_STRING);
    $load_filter = filter_input(INPUT_POST, 'filter', $filter = FILTER_SANITIZE_STRING);

    //adjust Filter
    $load_filter = explode("&", $load_filter);

    $where = "";
    foreach ($load_filter as &$value) {
      if($value == "cntOnline=on") {
        $now = time() - 60;
        $where = $where."AND last_login > ".$now." ";
      }

      if($value == "cntBild=on") {
        $where = $where."AND avatar != '' ";
      }

      if($value == "cntRelation=on") {
        $where = $where."AND Single = 1 ";
      }

      if($value == "cntLGBT=on") {
        $where = $where."AND LGBT = 1 ";
      }

      $optionSplit = explode("=", $value);

      if($optionSplit[0] == "gender" && $optionSplit[1] != 'all') {
        $where = $where."AND gender = '".$optionSplit[1]."' ";
      }

      if($optionSplit[0] == "ageVon") {
        $where = $where."AND age >= '".$optionSplit[1]."' ";
      }

      if($optionSplit[0] == "ageBis") {
        $where = $where."AND age <= '".$optionSplit[1]."' ";
      }

      if($optionSplit[0] == "diaet" && $optionSplit[1] != 'all') {
        $where = $where."AND diaet = '".$optionSplit[1]."' ";
      }

      if($optionSplit[0] == "religion" && $optionSplit[1] != 'all') {
        $where = $where."AND religion = '".$optionSplit[1]."' ";
      }
    }

    $excludeId = 0;
    if(isset($_SESSION['user_id'])) {
      $excludeId = $_SESSION['user_id'];

      //exclude Friends
      $data = getFriendsList($_SESSION['user_id'], $mysqli);

      foreach ($data as &$value) {
        $where = $where."AND user_id != '".$value."' ";
      }
    }

    //load Marker
    $data = array();
    $stmt = $mysqli->prepare("SELECT user_id, nick, gender, age, single, LGBT, diaet, religion, lat, lng, avatar, ACOS( SIN( RADIANS( `lat` ) ) * SIN( RADIANS( ? ) ) + COS( RADIANS( `lat` ) ) * COS( RADIANS( ? )) * COS( RADIANS( `lng` ) - RADIANS( ? )) ) * 6380 AS distance FROM `lotus_user` WHERE user_id != ? AND connect = 1 ".$where." ORDER BY distance ASC LIMIT ?,50");
    $stmt->bind_param('dddii', $load_lat, $load_lat, $load_long, $excludeId, $load_page);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage , aus.
    // hole Variablen von result.
    $stmt->bind_result($user_id, $nick, $gender, $age, $single, $LGBT, $diaet, $religion, $lat, $lng, $avatar, $distance);

    while ($row = $stmt->fetch()){
      $data[] = array(
        'id' => $user_id, //0
        'nick' => $nick, //1
        'gender' => $gender, //2
        'age' => $age, //3
        'single' => $single, //4
        'LGBT' => $LGBT, //5
        'diaet' => $diaet, //6
        'religion' => $religion, //7
        'lat' => $lat, //8
        'lng' => $lng, //9
        'avatar' => $avatar, //10
        'distance' => $distance, //11
      );
    }
    $stmt->close();

    foreach ($data as &$value) {
      $gender = $langFile->loadText("page",$value['gender']);
      $single = $langFile->loadText("page",$value['single']);
      $LGBT = $langFile->loadText("page",$value['LGBT']);
      $diaet = $langFile->loadText("page",$value['diaet']);
      $religion = $langFile->loadText("page",$value['religion']);

      echo $value['id']."<[x]>".$value['nick']."<[x]>".$gender."<[x]>".$value['age']."<[x]>".$single."<[x]>".$LGBT."<[x]>".$diaet."<[x]>".$religion."<[x]>".$value['lat']."<[x]>".$value['lng']."<[x]>".$value['avatar']."<[x]>".$value['distance']."<[#]>";
    }
  }
}
