<?php
session_start();

include_once 'autoload.php';

$load_action = "";

if(isset($_POST['action'])) {
  $load_action = filter_input(INPUT_POST, 'action', $filter = FILTER_SANITIZE_STRING);

  if($load_action == "getMsg") {

    // msg Liste
    $data = array();
    $stmt = $mysqli->prepare("SELECT id, typ, msg, fid FROM lotus_msg WHERE userid = ? AND gelesen = 0");
    $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    // hole Variablen von result.
    $stmt->bind_result($id, $typ, $msg, $fid);

    while ($row = $stmt->fetch()){
      $data[] = array(
        'id' => $id,
        'typ' => $typ,
        'msg' => $msg,
        'fid' => $fid,
      );
    }
    $stmt->close();

    foreach ($data as &$value) {
      $userdetails = getUserDetails($value['fid'], $mysqli);

      $stmt = $mysqli->prepare("UPDATE lotus_msg SET gelesen = 1 WHERE id = ?");
      $stmt->bind_param('i', $value['id']);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo "<li class='openBox ".$value['typ']." msgIncome' data-box='profilBox' data-userid='".$value['fid']."' data-id='".$value['id']."'>";
      echo "<span class='inline-block'><img class='avatarSmall' src='Resources/images/user/".$userdetails[0]['user_id']."/".$userdetails[0]['avatar']."'></span>";
      echo "<span class='inline-block' style='width: 145px; padding-left: 5px;'><b>".$userdetails[0]['nick']."</b> ".$langFile->loadText("page",$value['msg'])."</span>";
      echo "</li>";
    }






    //chat Incoming
    $data = array();
    $stmt = $mysqli->prepare("SELECT id, vonId, msg, zeit FROM lotus_chat WHERE nachId = ? AND gelesen = 0");
    $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    // hole Variablen von result.
    $stmt->bind_result($id, $vonId, $msg, $zeit);

    while ($row = $stmt->fetch()){
      $data[] = array(
        'id' => $id,
        'vonId' => $vonId,
        'msg' => $msg,
        'zeit' => $zeit,
      );
    }
    $stmt->close();

    foreach ($data as &$value) {
      echo "<div class='chatLine recChat' data-vonId='".$value['vonId']."' data-id='".$value['id']."'>";
        echo "<span>".$value['msg']."</span>";
      echo "</div>";
    }


  }

  $time = time();
  $stmt = $mysqli->prepare("UPDATE lotus_user SET last_login = ? WHERE user_id = ?");
  $stmt->bind_param('si', $time, $_SESSION['user_id']);  // Bind "id" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.













  //old chats
  $data = array();
  $stmt = $mysqli->prepare("SELECT id, vonId, nachId, gelesen, msg, zeit FROM lotus_chat WHERE (vonId = ? OR nachId = ?) ORDER BY id DESC");
  $mysqli->stmt_init();
  $stmt->bind_param('ii', $_SESSION['user_id'], $_SESSION['user_id']);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.

  // hole Variablen von result.
  $stmt->bind_result($id, $vonId, $nachId, $gelesen, $msg, $zeit);

  $fid = 0;
  while ($row = $stmt->fetch()){
    if($_SESSION['user_id'] == $vonId) {
      $fid = $nachId;
    } else {
      $fid = $vonId;
    }

    if($fid != 0) {
      $data[] = $fid;
    }

    $fid = 0;
  }
  $stmt->close();

  $groupedIds = array();
  foreach ($data as &$value) {
    if (!in_array($value, $groupedIds)) {
      $groupedIds[] = $value;
    }
  }

  $msgBlock = array();
  foreach ($groupedIds as &$value) {
    $userDetails = getUserDetails($value, $mysqli);
    $userAvatar = getPictureSrc($value, $mysqli);

    $status = isOnline($userDetails[0]['last_login']);

    if($status <= 1) {
      $status = "online";
    } else {
      $status = "";
    }

    //get last msg
    $stmt = $mysqli->prepare("SELECT id, vonId, nachId, gelesen, msg, zeit FROM lotus_chat WHERE (vonId = ? AND nachId = ?) OR (vonId = ? AND nachId = ?) ORDER BY id DESC");
    $mysqli->stmt_init();
    $stmt->bind_param('iiii', $_SESSION['user_id'], $value, $value, $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->bind_result($id, $vonId, $nachId, $gelesen, $msg, $zeit);
    $stmt->fetch();
    $stmt->close();

    $dateFormat = date('d.m.Y H:i:s', $zeit);

    $msgBlock[] = array(
      'user_id' => $userDetails[0]['user_id'],
      'user_name' => $userDetails[0]['nick'],
      'last_login' => $userDetails[0]['last_login'],
      'avatar' => $userAvatar,
      'msg' => $msg,
      'last_msg_time' => $dateFormat,
      'status' => $status,
      'gelesen' => $gelesen,
    );
  }

  echo "<div id='mailBoxListIncome'>";
  foreach ($msgBlock as &$value) {
    $stmt = $mysqli->prepare("SELECT count(id) FROM lotus_chat WHERE nachId = ? AND vonId = ? AND gelesen = 0");
    $stmt->bind_param('ii', $_SESSION['user_id'], $value['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    // hole Variablen von result.
    $stmt->bind_result($count);
    $stmt->fetch();
    $stmt->close();

    $gelesen = "";
    if($count == 0) {
      $gelesen = "gelesen";
    }

    if(strlen($value['msg']) > 255) {
      $restText = substr($value['msg'], 0, 255)."...";
    } else {
      $restText = $value['msg'];
    }

    echo "<div class='friendOldSenderLi ".$gelesen." openBox' data-box='chatBox' data-id='".$value['user_id']."'>";
      echo "<span class='inline-block' style='vertical-align:middle;'><img class='avatarSmall' src='".$value['avatar']."'></span>";
      echo "<span class='inline-block' style='padding-left: 5px;vertical-align:middle;padding-bottom:3px;'><b>".$value['user_name']."</b></span><br>";
      echo "<span>".$restText."</span>";
      echo "<span class='fZeit small'>".$value['last_msg_time']."</span>";
      echo "<span class='fLiOnline ".$value['status']."'></span>";
    echo "</div>";
  }
  echo "</div>";



  //freundesliste
  $friends = getFriendsSortOnlineList($_SESSION['user_id'], $mysqli);

  echo "<div id='mailBoxFlListIncome'>";
  foreach ($friends as &$value) {
    $userDetails = getUserDetails($value, $mysqli);
    $userAvatar = getPictureSrc($value, $mysqli);

    $status = isOnline($userDetails[0]['last_login']);
    if($status <= 1) {
      $status = "online";
    } else {
      $status = "";
    }

    if(strlen($userDetails[0]['nick']) > 20) {
      $restNick = substr($userDetails[0]['nick'], 0, 20)."...";
    } else {
      $restNick = $userDetails[0]['nick'];
    }

    echo "<div class='friendLi openBox' data-box='chatBox' data-id='".$userDetails[0]['user_id']."'>";
      echo "<span class='inline-block' style='vertical-align:middle;'><img class='avatarSmall' src='".$userAvatar."'></span>";
      echo "<span class='inline-block chatNick' style='padding-left: 5px;vertical-align:middle;padding-bottom:3px;'><b>".$restNick."</b></span>";
      echo "<span class='fLiOnline ".$status."'></span>";
    echo "</div>";
  }

  echo "</div>";
}
