<?php
session_start();

include_once 'autoload.php';


$load_action = "";

if(isset($_POST['action'])) {
  $load_action = filter_input(INPUT_POST, 'action', $filter = FILTER_SANITIZE_STRING);

  if($load_action == "delAccount") {
    $userDetails = getUserDetails($_SESSION['user_id'], $mysqli);

    $rmDir = "../../Resources/images/user/".$_SESSION['user_id']."/";
    unlink($rmDir.$userDetails[0]['avatar']);
    rmdir($rmDir);

    $stmt = $mysqli->prepare("DELETE FROM lotus_user WHERE user_id = ?");
    $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->close();

    $stmt = $mysqli->prepare("DELETE FROM lotus_events WHERE user_id = ?");
    $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->close();

    $stmt = $mysqli->prepare("DELETE FROM lotus_events_teilnahme WHERE user_id = ?");
    $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->close();

    $stmt = $mysqli->prepare("DELETE FROM lotus_einrichtung WHERE user_id = ?");
    $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->close();

    $stmt = $mysqli->prepare("DELETE FROM lotus_friends WHERE userid1 = ? OR userid2 = ?");
    $stmt->bind_param('ii', $_SESSION['user_id'], $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->close();

    $stmt = $mysqli->prepare("DELETE FROM lotus_msg WHERE userid = ?");
    $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->close();
  }

  if($load_action == "setOptions") {
    $load_firma = filter_input(INPUT_POST, 'firma', $filter = FILTER_SANITIZE_STRING);
    $load_mails = filter_input(INPUT_POST, 'mails', $filter = FILTER_SANITIZE_STRING);
    $load_connect = filter_input(INPUT_POST, 'connect', $filter = FILTER_SANITIZE_STRING);
    $load_allocate = filter_input(INPUT_POST, 'allocate', $filter = FILTER_SANITIZE_STRING);

    $firma = 0;
    $mails = 0;
    $connect = 0;
    $allocate = 0;

    if($load_allocate == "true") {
      $allocate = 1;
    }

    if($load_connect == "true") {
      $connect = 1;
    } else {
      $allocate = 0;
    }

    if($load_firma == "true") {
      $firma = 1;
      $connect = 0;
      $allocate = 0;
    }

    if($load_mails == "true") {
      $mails = 1;
    } else {
      $connect = 0;
      $allocate = 0;
    }

    $stmt = $mysqli->prepare("UPDATE lotus_user SET firma = ?, getmail = ?, connect = ?, allocate = ? WHERE user_id = ?");
    $stmt->bind_param('iiiii', $firma, $mails, $connect, $allocate, $_SESSION['user_id']);  // Bind "ids" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->close();
  }

  if($load_action == "getOptions") {
    $load_id = filter_input(INPUT_POST, 'userid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {

      if($_SESSION['user_id'] == $load_id) {
        $stmt = $mysqli->prepare("SELECT firma, email, connect, getmail, allocate FROM lotus_user WHERE user_id = ?");
        $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->bind_result($firma, $email, $connect, $getmail, $allocate);
        $stmt->fetch();
        $stmt->close();

        if($firma == 1) {
          $firma = "checked";
          $connectDs = "disabled";
          $allocateDs = "disabled";
        } else {
          $firma = "";
          $connectDs = "";
          $allocateDs = "";
        }

        if($allocate == 1) {
          $allocate = "checked";
        } else {
          $allocate = "";
        }

        if($connect == 1) {
          $connect = "checked";
        } else {
          $connect = "";
          $allocateDs = "disabled";
          $allocate = "";
        }

        if($getmail == 1) {
          $getmail = "checked";

          if($firma == "checked") {
            $connectDs = "disabled";
            $allocateDs = "disabled";
          } else {
            $connectDs = "";
            $allocateDs = "";
          }
        } else {
          $getmail = "";
          $connectDs = "disabled";
          $allocateDs = "disabled";
        }

        echo "<span class='span150'>Firmenprofil:</span><span>";
        echo "<input class='firmaOp' type='checkbox' name='firma' value='firma' ".$firma.">";
        echo "<span class='information' data-tooltip='Aktiviert das Firmen Profil und Sie nehmen nicht mehr an Connect Teil!<br> Bitte überprüfen Sie ihre Profil Details.'>i</span>";
        echo "</span>";

        echo "<span class='span150'>Mails empfangen:</span><span>";
        echo "<input class='mailsOp' type='checkbox' name='mails' value='mails' ".$getmail.">";
        echo "<span class='information' data-tooltip='Aktiviert können Sie Nachrichten empfangen.<br> Deaktiviert empfangen Sie keine Nachrichten mehr und nehmen nicht mehr an Connect Teil!'>i</span>";
        echo "</span>";

        echo "<span class='span150'>Connect:</span><span>";
        echo "<input class='connectOp' type='checkbox' name='connect' value='connect' ".$connect." ".$connectDs.">";
        echo "<span class='information' data-tooltip='Aktiviert nehmen Sie an Connect Teil!'>i</span>";
        echo "</span>";

        echo "<span class='span150'>Allocate:</span><span>";
        echo "<input class='allocateOp' type='checkbox' name='allocate' value='allocate' ".$allocate." ".$allocateDs.">";
        echo "<span class='information' data-tooltip='Aktiviert wird alle 30min ihre Aktuelle Position ermittelt!'>i</span>";
        echo "</span>";

        echo "<br><br>";
        //echo "<span class='editmail'>Email Adresse ändern</span><br>";
        //echo "<div class='newMailInput'><input type='text'><input type='submit' value='save'></div>";

        //echo "<span class='editpw'>Password ändern</span><br>";
        //echo "<div class='newPWInput'><input type='text' value='Altes PW'><input type='text' value='Neues PW'>";
        //echo "<input type='text' value='Neues PW wiederholen'><input type='submit' value='save'></div>";

        echo "<span class='delaccount editable' style='display:inline-block;padding: 5px 0;'>Account Löschen</span><br>";
      }

    }

  }

}
