<?php
session_start();

include_once 'autoload.php';

$load_action = "";

if(isset($_POST['action'])) {
  $load_action = filter_input(INPUT_POST, 'action', $filter = FILTER_SANITIZE_STRING);

  if($load_action == "delMsg") {
    $load_id = filter_input(INPUT_POST, 'id', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("DELETE FROM lotus_msg WHERE userid = ? AND id = ?");
      $stmt->bind_param('ii', $_SESSION['user_id'], $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();
    }
  }

  if($load_action == "setAllocate") {
    $load_lat = filter_input(INPUT_POST, 'lat', $filter = FILTER_SANITIZE_STRING);
    $load_lng = filter_input(INPUT_POST, 'lng', $filter = FILTER_SANITIZE_STRING);
    $load_str = filter_input(INPUT_POST, 'str', $filter = FILTER_SANITIZE_STRING);
    $load_plz = filter_input(INPUT_POST, 'plz', $filter = FILTER_SANITIZE_STRING);
    $load_ort = filter_input(INPUT_POST, 'ort', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET lat = ?, lng = ?, strasse = ?, plz = ?, ort = ? WHERE user_id = ?");
      $stmt->bind_param('ddsssi', $load_lat, $load_lng, $load_str, $load_plz, $load_ort, $_SESSION['user_id']);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();
    }
  }

  if($load_action == "setPosition") {
    $load_lat = filter_input(INPUT_POST, 'lat', $filter = FILTER_SANITIZE_STRING);
    $load_lng = filter_input(INPUT_POST, 'lng', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET lat = ?, lng = ? WHERE user_id = ?");
      $stmt->bind_param('ddi', $load_lat, $load_lng, $_SESSION['user_id']);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();
    }
  }

  if($load_action == "setenrPosition") {
    $load_lat = filter_input(INPUT_POST, 'lat', $filter = FILTER_SANITIZE_STRING);
    $load_lng = filter_input(INPUT_POST, 'lng', $filter = FILTER_SANITIZE_STRING);
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);

    if(isset($load_id)) {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }
    }

    if(login_check($mysqli) == true) {
      //get user_id from id

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET lat = ?, lng = ? WHERE id = ?");
      $stmt->bind_param('ddi', $load_lat, $load_lng, $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();
    }
  }

  if($load_action == "setEvtPosition") {
    $load_lat = filter_input(INPUT_POST, 'lat', $filter = FILTER_SANITIZE_STRING);
    $load_lng = filter_input(INPUT_POST, 'lng', $filter = FILTER_SANITIZE_STRING);
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);

    if(isset($load_id)) {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }
    }

    if(login_check($mysqli) == true) {
      //get user_id from id

      $stmt = $mysqli->prepare("UPDATE lotus_events SET lat = ?, lng = ? WHERE id = ?");
      $stmt->bind_param('ddi', $load_lat, $load_lng, $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();
    }
  }

  if($load_action == "rmIgnoreFriend") {
    $load_fid = filter_input(INPUT_POST, 'fid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("DELETE FROM lotus_friends WHERE userid1 = ? AND userid2 = ?");
      $stmt->bind_param('ii', $_SESSION['user_id'], $load_fid);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();
    }
  }

  if($load_action == "ignoreFriend") {
    $load_fid = filter_input(INPUT_POST, 'fid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("INSERT INTO lotus_friends (userid1, userid2, status) VALUES (?,?,3)");
      $stmt->bind_param('ii', $_SESSION['user_id'], $load_fid);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $last_insert = $stmt->insert_id;
      $stmt->close();

      $stmt = $mysqli->prepare("INSERT INTO lotus_msg (userid, typ, msg, fid) VALUES (?,'ignoreFriend','ignoreFriend',?)");
      $stmt->bind_param('ii', $load_fid, $_SESSION['user_id']);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $last_insert = $stmt->insert_id;
      $stmt->close();
    }
  }

  if($load_action == "acceptFriend") {
    $load_fid = filter_input(INPUT_POST, 'fid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $status = getFriendStatus($load_fid, $mysqli);

      if($status == 1) {
        $stmt = $mysqli->prepare("UPDATE lotus_friends SET status = 2 WHERE userid1 = ? AND userid2 = ?");
        $stmt->bind_param('ii', $load_fid, $_SESSION['user_id']);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->close();

        $stmt = $mysqli->prepare("INSERT INTO lotus_msg (userid, typ, msg, fid) VALUES (?,'acceptFriend','acceptFriend',?)");
        $stmt->bind_param('ii', $load_fid, $_SESSION['user_id']);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $last_insert = $stmt->insert_id;
        $stmt->close();

        $stmt = $mysqli->prepare("DELETE FROM lotus_msg WHERE typ = 'friendadd' AND userid = ? AND fid = ?");
        $stmt->bind_param('ii', $_SESSION['user_id'], $load_fid);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->close();
      }

    }
  }

  if($load_action == "declineFriend") {
    $load_fid = filter_input(INPUT_POST, 'fid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $status = getFriendStatus($load_fid, $mysqli);

      if($status == 2) {
        $stmt = $mysqli->prepare("DELETE FROM lotus_friends WHERE (userid1 = ? AND userid2 = ?) OR (userid1 = ? AND userid2 = ?)");
        $stmt->bind_param('iiii', $_SESSION['user_id'], $load_fid, $load_fid, $_SESSION['user_id']);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->close();

        $stmt = $mysqli->prepare("INSERT INTO lotus_msg (userid, typ, msg, fid) VALUES (?,'frienddelete','frienddelete',?)");
        $stmt->bind_param('ii', $load_fid, $_SESSION['user_id']);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $last_insert = $stmt->insert_id;
        $stmt->close();
      }

    }
  }

  if($load_action == "abortFriend") {
    $load_fid = filter_input(INPUT_POST, 'fid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $status = getFriendStatus($load_fid, $mysqli);

      if($status == 1) {
        $stmt = $mysqli->prepare("DELETE FROM lotus_friends WHERE (userid1 = ? AND userid2 = ?) OR (userid1 = ? AND userid2 = ?)");
        $stmt->bind_param('iiii', $_SESSION['user_id'], $load_fid, $load_fid, $_SESSION['user_id']);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->close();

        $stmt = $mysqli->prepare("DELETE FROM lotus_msg WHERE typ = 'friendadd' AND (userid = ? AND fid = ?) OR (userid = ? AND fid = ?)");
        $stmt->bind_param('iiii', $load_fid, $_SESSION['user_id'], $_SESSION['user_id'], $load_fid);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->close();
      }

    }
  }

  if($load_action == "evtTeilnahmeAbbrechen") {
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("DELETE FROM lotus_events_teilnahme WHERE user_id = ? AND event_id = ?");
      $stmt->bind_param('ii', $_SESSION['user_id'], $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();
    }
  }

  if($load_action == "evtTeilnahme") {
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("SELECT id FROM lotus_events_teilnahme WHERE user_id = ? AND event_id = ?");
      $stmt->bind_param('ii', $user_id, $id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($teilnahmeid);
      $stmt->fetch();
      $stmt->close();

      if(!$teilnahmeid) {
        $stmt = $mysqli->prepare("INSERT INTO lotus_events_teilnahme (user_id, event_id) VALUES (?,?)");
        $stmt->bind_param('ii', $_SESSION['user_id'], $load_id);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->close();
      } else {
        echo "Exist!";
      }
    }
  }

  if($load_action == "saveEnr") {
    $load_id = filter_input(INPUT_POST, 'id', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("SELECT user_id FROM lotus_einrichtung WHERE id = ?");
      $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($user_id);
      $stmt->fetch();
      $stmt->close();

      if($user_id == $_SESSION['user_id']) {
        $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET ready = 1 WHERE id = ?");
        $stmt->bind_param('i', $load_id);  // Bind "id" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.

        $friends = getFriendsList($_SESSION['user_id'], $mysqli);

        foreach ($friends as &$value) {
          $stmt = $mysqli->prepare("INSERT INTO lotus_msg (userid, typ, msg, fid, evtid) VALUES (?,'enradd','enradd',?,?)");
          $stmt->bind_param('iii', $value, $_SESSION['user_id'], $load_id);  // Bind "ids" to parameter.
          $stmt->execute();    // Führe die vorbereitete Anfrage aus.
          $stmt->close();
        }
      }
    }
  }

  if($load_action == "saveEvent") {
    $load_id = filter_input(INPUT_POST, 'id', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("SELECT user_id FROM lotus_events WHERE id = ?");
      $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($user_id);
      $stmt->fetch();
      $stmt->close();

      if($user_id == $_SESSION['user_id']) {
        $stmt = $mysqli->prepare("UPDATE lotus_events SET ready = 1 WHERE id = ?");
        $stmt->bind_param('i', $load_id);  // Bind "id" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.

        $friends = getFriendsList($_SESSION['user_id'], $mysqli);

        foreach ($friends as &$value) {
          $stmt = $mysqli->prepare("INSERT INTO lotus_msg (userid, typ, msg, fid, evtid) VALUES (?,'evtadd','evtadd',?,?)");
          $stmt->bind_param('iii', $value, $_SESSION['user_id'], $load_id);  // Bind "ids" to parameter.
          $stmt->execute();    // Führe die vorbereitete Anfrage aus.
          $stmt->close();
        }
      }
    }
  }

  if($load_action == "addFriend") {
    $load_fid = filter_input(INPUT_POST, 'fid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $status = getFriendStatus($load_fid, $mysqli);

      if($status == 0) {
        $stmt = $mysqli->prepare("INSERT INTO lotus_friends (userid1, userid2, status) VALUES (?,?,1)");
        $stmt->bind_param('ii', $_SESSION['user_id'], $load_fid);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $last_insert = $stmt->insert_id;
        $stmt->close();

        $stmt = $mysqli->prepare("INSERT INTO lotus_msg (userid, typ, msg, fid) VALUES (?,'friendadd','friendadd',?)");
        $stmt->bind_param('ii', $load_fid, $_SESSION['user_id']);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $last_insert = $stmt->insert_id;
        $stmt->close();
      }

    }
  }

  if($load_action == "getFriends") {
    $load_id = filter_input(INPUT_POST, 'userid', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {

      $data = getFriendsList($load_id, $mysqli);

      foreach ($data as &$value) {
        $userdetails = getUserDetails($value, $mysqli);
        $avatar = getPictureSrc($userdetails[0]['user_id'], $mysqli);

        echo "<div class='openBox' data-box='profilBox' data-userid='".$userdetails[0]['user_id']."'>";
        echo "<span class='inline-block' style='vertical-align:middle;'><img class='avatarSmall' src='".$avatar."'></span>";
        echo "<span class='inline-block' style='width: 145px; padding-left: 5px;vertical-align:middle;padding-bottom:3px;'><b>".$userdetails[0]['nick']."</b> ".$langFile->loadText("page",$value['msg'])."</span>";
        echo "</div>";
      }

    }

    exit;
  }

  if($load_action == "addEnr") {
    $load_name = filter_input(INPUT_POST, 'evtname', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("INSERT INTO lotus_einrichtung (user_id, name) VALUES (?,?)");
      $stmt->bind_param('is', $_SESSION['user_id'], $load_name);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $last_insert = $stmt->insert_id;
      $stmt->close();

      echo $last_insert;
    }

    exit;
  }

  if($load_action == "addEvent") {
    $load_name = filter_input(INPUT_POST, 'evtname', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {
      $stmt = $mysqli->prepare("INSERT INTO lotus_events (user_id, name) VALUES (?,?)");
      $stmt->bind_param('is', $_SESSION['user_id'], $load_name);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $last_insert = $stmt->insert_id;
      $stmt->close();

      echo $last_insert;
    }

    exit;
  }

  if($load_action == "delete") {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_id = filter_input(INPUT_POST, 'id', $filter = FILTER_SANITIZE_STRING);

    if(login_check($mysqli) == true) {

      if($load_field == "evt") {
        $stmt = $mysqli->prepare("SELECT user_id FROM lotus_events WHERE id = ?");
        $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->bind_result($user_id);
        $stmt->fetch();
        $stmt->close();

        if($user_id == $_SESSION['user_id']) {
          $stmt = $mysqli->prepare("DELETE FROM lotus_events WHERE id = ?");
          $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
          $stmt->execute();    // Führe die vorbereitete Anfrage aus.
          $stmt->close();
        }
      }

      if($load_field == "enr") {
        $stmt = $mysqli->prepare("SELECT user_id FROM lotus_einrichtung WHERE id = ?");
        $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
        $stmt->execute();    // Führe die vorbereitete Anfrage aus.
        $stmt->bind_result($user_id);
        $stmt->fetch();
        $stmt->close();

        if($user_id == $_SESSION['user_id']) {
          $stmt = $mysqli->prepare("DELETE FROM lotus_einrichtung WHERE id = ?");
          $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
          $stmt->execute();    // Führe die vorbereitete Anfrage aus.
          $stmt->close();
        }
      }
    }

    exit;
  }

  if($load_action == "getEinrichtungen") {
    $load_id = filter_input(INPUT_POST, 'userid', $filter = FILTER_SANITIZE_STRING);

  //  if(login_check($mysqli) == true) {

      //eigene events
      $data = array();
      $stmt = $mysqli->prepare("SELECT id, name, beschreibung FROM lotus_einrichtung WHERE user_id = ?");
      $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($id, $name, $beschreibung);

      while ($row = $stmt->fetch()){
        $data[] = array(
          'id' => $id,
          'name' => $name,
          'beschreibung' => $beschreibung,
        );
      }
      $stmt->close();

      echo "<h2>Einrichtungen</h2>";

      echo "<div class='profilDetails'>";

      if(sizeof($data) > 0) {
        echo "<h3>Eigene Einrichtungen</h3>";
      }

      echo "<span class='padding0 eventsList'>";
      foreach ($data as &$value) {
        echo "<div>";

        echo "<span class='openBox' style='vertical-align:super;' data-box='enrBox' data-eventid='".$value['id']."'>";
        echo "<span>".$value['name']."</span><br>";
        echo "</span>";

        if($load_id == $_SESSION['user_id']) {
          echo "<span class='deleteable' data-field='enr' data-id='".$value['id']."'></span>";
        }

        echo "</div>";
      }
      echo "</span>";

      //enrButtons
      echo "<span class='friendsBtn'><button id='neuesEinr'>+ Neue Einrichtung</button>";

      echo "</div>";
  //  }

    exit;
  }

  if($load_action == "getEvents") {
    $load_id = filter_input(INPUT_POST, 'userid', $filter = FILTER_SANITIZE_STRING);

    //if(login_check($mysqli) == true) {

      //eigene events
      $data = array();
      $stmt = $mysqli->prepare("SELECT id, name, start, ende, beschreibung FROM lotus_events WHERE user_id = ? ORDER BY start DESC");
      $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($id, $name, $start, $ende, $beschreibung);

      while ($row = $stmt->fetch()){
        $data[] = array(
          'id' => $id,
          'name' => $name,
          'start' => $start,
          'ende' => $ende,
          'beschreibung' => $beschreibung,
        );
      }
      $stmt->close();

      echo "<h2>Events</h2>";

      echo "<div class='profilDetails'>";

      if(sizeof($data) > 0) {
        echo "<h3>Eigene Events</h3>";
      }

      echo "<span class='padding0 eventsList'>";
      foreach ($data as &$value) {
        echo "<div>";

        echo "<span class='openBox' style='vertical-align:super;' data-box='eventBox' data-eventid='".$value['id']."'>";
        echo "<span>".$value['name']."</span> <span class='small'>".parseDate($value['start'])." bis ".parseDate($value['ende'])."</span><br>";
        echo "</span>";

        if($load_id == $_SESSION['user_id']) {
          echo "<span class='deleteable' data-field='evt' data-id='".$value['id']."'></span>";
        }

        echo "</div>";
      }
      echo "</span>";


      //nimmt an events teil
      $data = array();
      $stmt = $mysqli->prepare("SELECT lotus_events_teilnahme.event_id FROM lotus_events_teilnahme LEFT JOIN lotus_events ON lotus_events_teilnahme.event_id = lotus_events.id WHERE lotus_events_teilnahme.user_id = ? AND lotus_events.user_id != ?");
      $stmt->bind_param('ii', $load_id, $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($event_id);

      while ($row = $stmt->fetch()){
        $data[] = $event_id;
      }
      $stmt->close();

      if(sizeof($data) > 0) {
        echo "<br><br><h3>Events Teilnahmen</h3>";
      }

      echo "<span class='padding0 eventsList'>";
      foreach ($data as &$event_id) {
        $eventDetails = getEventDetails($event_id, $mysqli);

        echo "<div>";

        echo "<span class='openBox' style='vertical-align:super;' data-box='eventBox' data-eventid='".$eventDetails[0]['id']."'>";
        echo "<span>".$eventDetails[0]['name']."</span> <span class='small'>".parseDate($eventDetails[0]['start'])." bis ".parseDate($eventDetails[0]['ende'])."</span><br>";
        echo "</span>";

        echo "</div>";
      }
      echo "</span>";

      //evtButtons
      echo "<span class='friendsBtn'><button id='neuesEvent'>+ Neues Event</button>";

      echo "</div>";
  //  }

    exit;
  }

  if($load_action == "getEnr") {
    $load_id = filter_input(INPUT_POST, 'eventid', $filter = FILTER_SANITIZE_STRING);

      $stmt = $mysqli->prepare("SELECT id, user_id, name, plz, ort, strasse, eintritt, religion, LGBT, veggie, beschreibung, webseite, ready, lat, lng FROM lotus_einrichtung WHERE id = ?");
      $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($id, $user_id, $name, $plz, $ort, $strasse, $eintritt, $religion, $LGBT, $veggie, $beschreibung, $webseite, $ready, $lat, $lng);
      $stmt->fetch();
      $stmt->close();

      $userdetails = getUserDetails($user_id, $mysqli);

      $evtTeilnahme = "";
      if($ready == 0) {
        $evtTeilnahme = "<span class='friendsBtn'><button id='saveEnr' data-id='".$load_id."'>+ Einrichtung Veröffentlichen</button>";
      }

      $PositionOk = "";
      if($lat != 0 && $lng != 0) {
        $PositionOk = "PositionOk";
      }

      $editable = "";
      if(isset($_SESSION['user_id']) && $user_id == $_SESSION['user_id']) {
        $editable = "editable";
      }

      echo "<h2>".$name."</h2>";

      echo "<div id='smallMap' data-lat='".$lat."' data-lng='".$lng."'>";
      echo "</div>";

      echo "<div class='eventDetails'>";

      echo "<div class='adressDaten ".$PositionOk."' data-id='".$id."'>";
      echo "<span class='span150'>Strasse:</span><span data-edit='text' data-field='enrstrasse' class='enrstrasse ".$editable."'>".$strasse."</span><br>";
      echo "<span class='span150'>PLZ:</span><span data-edit='text' data-field='enrplz' class='enrplz ".$editable."'>".$plz."</span><br>";
      echo "<span class='span150'>Ort:</span><span data-edit='text' data-field='enrort' class='enrort ".$editable."'>".$ort."</span>";
      echo "</div><br><br>";

      if($editable == "editable" || $religion != "NotReligious" && $religion != "") {
        echo "<span class='span150'>Religion:</span><span data-edit='religion' data-field='enrreligion' class='enrreligion ".$editable."'>".$langFile->loadText("page",$religion."long")."</span><br>";
      }

      if($editable == "editable" || $LGBT) {
        echo "<span class='span150'>LGBT:</span><span data-edit='bool' data-field='enrlgbt' class='enrlgbt ".$editable."'>".$langFile->loadText("page",$LGBT)."</span><br>";
      }

      if($editable == "editable" || $veggie != "") {
        echo "<span class='span150'>Veggie:</span><span data-edit='angebot' data-field='enrveggie' class='enrveggie ".$editable."'>".$langFile->loadText("page",$veggie)."</span><br>";
      }

      if($editable == "editable" || $eintritt > 0) {
        echo "<span class='span150'>Eintritt:</span><span data-edit='float' data-field='enreintritt' class='enreintritt ".$editable."'>".number_format($eintritt,2)." €</span><br><br>";
      }

      if($editable == "editable") {
        echo "<span class='span150'>Webseite:</span><span data-edit='text' data-field='enrwebseite' class='enrwebseite ".$editable."'>".$webseite."</span><br><br>";
      } else if($webseite != "") {
        echo "<span class='span150'>Webseite:</span><span data-edit='text' data-field='enrwebseite' class='enrwebseite ".$editable."'><a target='_blank' href='http://".$webseite."'>".$webseite."</a></span><br><br>";
      }

      if($editable == "") {
        echo "<span class='span150'>Besitzer:</span><span class='enrowner openBox' data-box='profilBox' data-userid='".$userdetails[0]['user_id']."'>".$userdetails[0]['nick']."</span><br><br>";
      }

      if($editable == "editable" || $beschreibung != "") {
        echo "<div style='height:200px;overflow-y:auto;'>";
        echo "<span class='span150'>Beschreibung:</span><span data-edit='textarea' data-field='enrbeschreibung' class='enrbeschreibung ".$editable."'>".$beschreibung."</span><br><br>";
        echo "</div>";
      }

      echo "</div>";

      echo $evtTeilnahme;
    exit;
  }

  if($load_action == "getEvent") {
    $load_id = filter_input(INPUT_POST, 'eventid', $filter = FILTER_SANITIZE_STRING);

      $stmt = $mysqli->prepare("SELECT id, user_id, name, plz, ort, strasse, start, ende, eintritt, religion, LGBT, veggie, beschreibung, webseite, ready, lat, lng FROM lotus_events WHERE id = ?");
      $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($id, $user_id, $name, $plz, $ort, $strasse, $start, $ende, $eintritt, $religion, $LGBT, $veggie, $beschreibung, $webseite, $ready, $lat, $lng);
      $stmt->fetch();
      $stmt->close();

      $userdetails = getUserDetails($user_id, $mysqli);

      //evtTeilnahme
      $stmt = $mysqli->prepare("SELECT id FROM lotus_events_teilnahme WHERE user_id = ? AND event_id = ?");
      $stmt->bind_param('ii', $_SESSION['user_id'], $id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($teilnahmeid);
      $stmt->fetch();
      $stmt->close();

      $evtTeilnahme = "";
      $now = time();

      if(isset($_SESSION['user_id'])) {
        if($ende > $now && $ready == 1) {
          if($teilnahmeid) {
            $evtTeilnahme = "<span class='friendsBtn'><button id='teilnahmeEventabbrechen' data-id='".$load_id."'>- Nicht Teilnehmen</button>";
          } else {
            $evtTeilnahme = "<span class='friendsBtn'><button id='teilnahmeEvent' data-id='".$load_id."'>+ Am Event Teilnehmen</button>";
          }
        } else if($ready == 0) {
          $evtTeilnahme = "<span class='friendsBtn'><button id='saveEvent' data-id='".$load_id."'>+ Event Veröffentlichen</button>";
        }
      }

      $PositionOk = "";
      if($lat != 0 && $lng != 0) {
        $PositionOk = "PositionOk";
      }


      $stmt = $mysqli->prepare("SELECT count(id) as CountFrom FROM lotus_events_teilnahme WHERE event_id = ?");
      $stmt->bind_param('i', $id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($count);
      $stmt->fetch();
      $stmt->close();

      $editable = "";
      if(isset($_SESSION['user_id']) && $user_id == $_SESSION['user_id']) {
        $editable = "editable";
      }

      if($ende < $now && $ready == 1) {
        $editable = "";
      }

      echo "<h2>".$name." <span class='small'>( ".$count." Teilnehmer )</span></h2>";

      echo "<div id='smallMap' data-lat='".$lat."' data-lng='".$lng."'>";
      echo "</div>";

      echo "<div class='eventDetails'>";

      echo "<div class='adressDaten ".$PositionOk."' data-id='".$id."'>";
      echo "<span class='span150'>Strasse:</span><span data-edit='text' data-field='evtstrasse' class='evtstrasse ".$editable."'>".$strasse."</span><br>";
      echo "<span class='span150'>PLZ:</span><span data-edit='text' data-field='evtplz' class='evtplz ".$editable."'>".$plz."</span><br>";
      echo "<span class='span150'>Ort:</span><span data-edit='text' data-field='evtort' class='evtort ".$editable."'>".$ort."</span>";
      echo "</div><br><br>";

      echo "<span class='span150'>Start:</span><span data-edit='datum' data-field='evtstart' class='evtstart ".$editable."'>".parseDate($start)."</span><br>";
      echo "<span class='span150'>Ende:</span><span data-edit='datum' data-field='evtende' class='evtende ".$editable."'>".parseDate($ende)."</span><br><br>";

      if($editable == "editable" || $religion != "NotReligious" && $religion != "") {
        echo "<span class='span150'>Religion:</span><span data-edit='religion' data-field='evtreligion' class='evtreligion ".$editable."'>".$langFile->loadText("page",$religion."long")."</span><br>";
      }

      if($editable == "editable" || $LGBT) {
        echo "<span class='span150'>LGBT:</span><span data-edit='bool' data-field='evtlgbt' class='evtlgbt ".$editable."'>".$langFile->loadText("page",$LGBT)."</span><br>";
      }

      if($editable == "editable" || $veggie) {
        echo "<span class='span150'>Veggie:</span><span data-edit='bool' data-field='evtveggie' class='evtveggie ".$editable."'>".$langFile->loadText("page",$veggie)."</span><br>";
      }

      echo "<span class='span150'>Eintritt:</span><span data-edit='float' data-field='evteintritt' class='evteintritt ".$editable."'>".number_format($eintritt,2)." €</span><br><br>";

      if($editable == "editable") {
        echo "<span class='span150'>Webseite:</span><span data-edit='text' data-field='evtwebseite' class='evtwebseite ".$editable."'>".$webseite."</span><br><br>";
      } else if($webseite != "") {
        echo "<span class='span150'>Webseite:</span><span data-edit='text' data-field='evtwebseite' class='evtwebseite ".$editable."'><a target='_blank' href='http://".$webseite."'>".$webseite."</a></span><br><br>";
      }

      if($editable == "") {
        echo "<span class='span150'>Besitzer:</span><span class='evtowner openBox' data-box='profilBox' data-userid='".$userdetails[0]['user_id']."'>".$userdetails[0]['nick']."</span><br><br>";
      }

      if($editable == "editable" || $beschreibung != "") {
        echo "<div style='height:190px;overflow-y:auto;'>";
        echo "<span class='span150'>Beschreibung:</span><span data-edit='textarea' data-field='evtbeschreibung' class='evtbeschreibung ".$editable."'>".$beschreibung."</span><br><br>";
        echo "</div>";
      }

      echo "</div>";

      echo $evtTeilnahme;
    exit;
  }

  if($load_action == "getProfil") {
    $load_id = filter_input(INPUT_POST, 'userid', $filter = FILTER_SANITIZE_STRING);

  //  if(login_check($mysqli) == true) {
      $editable = "";
      $picEditable = "";
      $status = "";
      $friendsbutton = "";
      $tooltipAddress = "";

      if(isset($_SESSION['user_id'])) {
        if($_SESSION['user_id'] == $load_id) {
          $editable = "editable";
          $picEditable = "picEditable";
          $tooltipAddress = 'Wenn Sie unter Einstellungen Allocate Deaktivieren<br> können Sie eine Adresse eingeben unter der Sie gefunden werden möchten!<br> Diese muss nicht ihrer Persönlichen Anschrift entsprechen.<br> Allocate überschreibt ihre Adresse regelmäßig mit ihrem aktuellen Standort!';
        } else {
          $status = getFriendStatus($load_id, $mysqli);

          if($status == 0) {
            //add Friends Button
            $friendsbutton = "<span class='friendsBtn'><button id='addFriend' data-id='".$load_id."'>+ Freundschaft</button>";
            $friendsbutton = $friendsbutton."<button id='ignoreFriend' data-id='".$load_id."'>+ Ignore</button><span>";
          } elseif ($status == 1) {
            //abort ask Friends Button
            $friendsbutton = "<span class='friendsBtn'><button id='abortFriend' data-id='".$load_id."'>- Freundschaft</button>";
            $invite = getFriendInvite($load_id, $mysqli);

            if($invite == 1) {
              $friendsbutton = $friendsbutton."<button id='acceptFriend' data-id='".$load_id."'>+ Freundschaft</button>";
            }

            $friendsbutton = $friendsbutton."</span>";

          } elseif ($status == 2) {
            //abort friendship
            $friendsbutton = "<span class='friendsBtn'><button id='declineFriend' data-id='".$load_id."'>- Freundschaft</button></span>";
          } elseif ($status == 3) {
            //ignore aufheben
            $invite = getFriendIgnore($load_id, $mysqli);

            if($invite == 3) {
              $friendsbutton = "<span class='friendsBtn'><button id='rmIgnoreFriend' data-id='".$load_id."'>- Ignore</button></span>";
            } else {
              $friendsbutton = "<span class='friendsBtn'>Ignoriert dich!</span>";
            }
          }
        }
      }

      $stmt = $mysqli->prepare("SELECT user_id, firmenname, firma, getmail, connect, avatar, email, vorname, nachname, nick, gender, age, plz, ort, strasse, lat, lng, firmenhomepage, LGBT, single, diaet, religion password FROM lotus_user WHERE user_id = ?");
      $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->bind_result($user_id, $firmenname, $firma, $getmail, $connect, $avatar, $email, $vorname, $nachname, $nick, $gender, $age, $plz, $ort, $strasse, $lat, $lng, $firmenhomepage, $LGBT, $single, $diaet, $religion);
      $stmt->fetch();
      $stmt->close();

      $avatar = getPictureSrc($user_id, $mysqli);

      if($firma) {
        $tooltipAddress = "";
      }

      $disabled = "";
      if(!$getmail || $editable == "editable" || !isset($_SESSION['user_id'])) {
        $disabled = "disabled";
      }

      echo "<h2>Profil <span class='mailto ".$disabled." openBox' data-box='chatBox' data-id='".$user_id."' data-tooltip='Mail'></span></h2>";

      echo "<div class='profilDetails'>";

      if(!$firma) {
        echo "<span class='span150'>Vorname:</span><span data-edit='text' data-field='vorname' class='vorname ".$editable."'>".$vorname."</span><br>";
        echo "<span class='span150'>Nachname:</span><span data-edit='text' data-field='nachname' class='nachname ".$editable."'>".$nachname."</span><br>";
        echo "<span class='span150'>Nick:</span><span data-edit='text' data-field='nick' class='nick ".$editable."'>".$nick."</span><br>";
        echo "<span class='span150'>Geschlecht:</span><span data-edit='gender' data-field='gender' class='gender ".$editable."'>".$langFile->loadText("page",$gender)."</span><br>";
        echo "<span class='span150'>Alter:</span><span data-edit='age' data-field='age' class='age ".$editable."'>".$age."</span><br><br>";
      } else {
        echo "<span class='span150'>Firmenname:</span><span data-edit='text' data-field='firmenname' class='firmenname ".$editable."'>".$firmenname."</span><br>";
      }

      //echo "<span class='span150' data-tooltip='".$tooltipAddress."'>Letzte Position:</span><br>";
      //echo "<div class='adressDaten' data-tooltip='".$tooltipAddress."'>";
      //echo "<span class='span150' data-tooltip='".$tooltipAddress."'>Straße:</span><span data-edit='text' data-field='strasse' class='strasse ".$editable."'>".$strasse."</span><br>";
      //echo "<span class='span150' data-tooltip='".$tooltipAddress."'>PLZ:</span><span data-edit='text' data-field='plz' class='plz ".$editable."'>".$plz."</span><br>";
      //echo "<span class='span150' data-tooltip='".$tooltipAddress."'>Ort:</span><span data-edit='text' data-field='ort' class='ort ".$editable."'>".$ort."</span>";
      //echo "</div><br><br>";

      if($firma) {
        if($editable == "editable") {
          echo "<span class='span150'>Webseite:</span><span data-edit='text' data-field='webseite' class='webseite ".$editable."'>".$firmenhomepage."</span><br><br>";
        } else {
          echo "<span class='span150'>Webseite:</span><span data-edit='text' data-field='webseite' class='webseite ".$editable."'><a target='_blank' href='http://".$firmenhomepage."'>".$firmenhomepage."</a></span><br><br>";
        }
      }

      if(!$firma) {
        if($editable == "editable" || $single) {
          echo "<span class='span150'>Single:</span><span data-edit='bool' data-field='single' class='single ".$editable."'>".$langFile->loadText("page",$single)."</span><br>";
        }

        if($editable == "editable" || $LGBT) {
          echo "<span class='span150'>LGBT:</span><span data-edit='bool' data-field='LGBT' class='LGBT ".$editable."'>".$langFile->loadText("page",$LGBT)."</span><br>";
        }

        echo "<span class='span150'>Diaet:</span><span data-edit='diaet' data-field='diaet' class='diaet ".$editable."'>".$langFile->loadText("page",$diaet)."</span><br>";
        echo "<span class='span150'>Religion:</span><span data-edit='religion' data-field='religion' class='religion ".$editable."'>".$langFile->loadText("page",$religion)."</span><br>";
      }

      echo "</div>";

      echo "<div class='avatar'>";
      if($picEditable != "") {
        echo "<div class='aktualisieren ".$picEditable."'>Load</div>";
      }
      echo "<img class='avatarBig ".$picEditable."' src='".$avatar."'>";
      if($picEditable != "") {
        echo "<form id='submit_pic' action='#' ><input type='file' id='avatarFile' name='datei' accept='image/png, image/jpeg' /></form>";
      }
      echo "</div>";

      echo $friendsbutton;
  //  }

    exit;
  }

  if($load_action == "getAge") {
    $load_dataField = filter_input(INPUT_POST, 'dataField', $filter = FILTER_SANITIZE_STRING);

    $htmlDump = "<select>";

    for ($i=16; $i < 150; $i++) {
      $htmlDump = $htmlDump."<option value='".$i."'>".$i."</option>";
    }

    $htmlDump = $htmlDump."</select><input data-field='age' type='submit' value='save'>";

    echo $htmlDump;
    exit;
  }

  if($load_action == "getAngebot") {
    $load_dataField = filter_input(INPUT_POST, 'dataField', $filter = FILTER_SANITIZE_STRING);

    $htmlDump = "<select>";

    $stmt = $mysqli->prepare("SELECT name FROM lotus_angebot");
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    // hole Variablen von result.
    $stmt->bind_result($name);

    while ($row = $stmt->fetch()){
      $htmlDump = $htmlDump."<option value='".$name."'>".$langFile->loadText("page",$name)."</option>";
    }
    $stmt->close();

    $htmlDump = $htmlDump."</select><input data-field='".$load_dataField."' type='submit' value='save'>";

    echo $htmlDump;
    exit;
  }

  if($load_action == "getReli") {
    $load_dataField = filter_input(INPUT_POST, 'dataField', $filter = FILTER_SANITIZE_STRING);

    $htmlDump = "<select>";

    $stmt = $mysqli->prepare("SELECT religion FROM lotus_religion");
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    // hole Variablen von result.
    $stmt->bind_result($religion);

    while ($row = $stmt->fetch()){
      $htmlDump = $htmlDump."<option value='".$religion."'>".$langFile->loadText("page",$religion."long")."</option>";
    }
    $stmt->close();

    $htmlDump = $htmlDump."</select><input data-field='".$load_dataField."' type='submit' value='save'>";

    echo $htmlDump;
    exit;
  }

  if($load_action == "editAngebot" && login_check($mysqli) == true) {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_text = filter_input(INPUT_POST, 'text', $filter = FILTER_SANITIZE_STRING);
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);

    if($load_field == "enrveggie") {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET veggie = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.

      echo $langFile->loadText("page",$load_text);
    }

    exit;
  }

  if($load_action == "editReli" && login_check($mysqli) == true) {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_text = filter_input(INPUT_POST, 'text', $filter = FILTER_SANITIZE_STRING);
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);

    if($load_field == "enrreligion") {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET religion = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.

      echo $langFile->loadText("page",$load_text."long");
    }

    if($load_field == "evtreligion") {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_events SET religion = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.

      echo $langFile->loadText("page",$load_text."long");
    }

    if($load_field == "religion") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET religion = ? WHERE user_id = ?");
      $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.

      echo $langFile->loadText("page",$load_text);
    }

    exit;
  }

  if($load_action == "getDiaet") {
    $htmlDump = "<select>";

    $stmt = $mysqli->prepare("SELECT diaet FROM lotus_diaet");
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    // hole Variablen von result.
    $stmt->bind_result($diaet);

    while ($row = $stmt->fetch()){
      $htmlDump = $htmlDump."<option value='".$diaet."'>".$langFile->loadText("page",$diaet)."</option>";
    }
    $stmt->close();

    $htmlDump = $htmlDump."</select><input data-field='diaet' type='submit' value='save'>";

    echo $htmlDump;
    exit;
  }

  if($load_action == "editDate" && login_check($mysqli) == true) {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_val = filter_input(INPUT_POST, 'val', $filter = FILTER_SANITIZE_STRING);
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);
    $load_val_time = strtotime($load_val);

    if(isset($load_id)) {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }
    }

    if($load_field == "evtstart") {
      $stmt = $mysqli->prepare("UPDATE lotus_events SET start = ? WHERE id = ?");
      $stmt->bind_param('di', $load_val_time, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.

      echo parseDate($load_val_time);
      exit;
    }

    if($load_field == "evtende") {
      $stmt = $mysqli->prepare("UPDATE lotus_events SET ende = ? WHERE id = ?");
      $stmt->bind_param('di', $load_val_time, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.

      echo parseDate($load_val_time);
      exit;
    }
  }

  if($load_action == "editDiaet" && login_check($mysqli) == true) {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_text = filter_input(INPUT_POST, 'text', $filter = FILTER_SANITIZE_STRING);

    $stmt = $mysqli->prepare("UPDATE lotus_user SET diaet = ? WHERE user_id = ?");
    $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.

    echo $langFile->loadText("page",$load_text);
    exit;
  }

  if($load_action == "getGender") {
    $htmlDump = "<select>";

    $stmt = $mysqli->prepare("SELECT gender FROM lotus_gender");
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    // hole Variablen von result.
    $stmt->bind_result($gender);

    while ($row = $stmt->fetch()){
      $htmlDump = $htmlDump."<option value='".$gender."'>".$langFile->loadText("page",$gender)."</option>";
    }
    $stmt->close();

    $htmlDump = $htmlDump."</select><input data-field='gender' type='submit' value='save'>";

    echo $htmlDump;
    exit;
  }

  if($load_action == "editAge" && login_check($mysqli) == true) {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_text = filter_input(INPUT_POST, 'text', $filter = FILTER_SANITIZE_STRING);

    $stmt = $mysqli->prepare("UPDATE lotus_user SET age = ? WHERE user_id = ?");
    $stmt->bind_param('ii', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.

    echo $load_text;
    exit;
  }

  if($load_action == "editGender" && login_check($mysqli) == true) {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_text = filter_input(INPUT_POST, 'text', $filter = FILTER_SANITIZE_STRING);

    $stmt = $mysqli->prepare("UPDATE lotus_user SET gender = ? WHERE user_id = ?");
    $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.

    echo $langFile->loadText("page",$load_text);
    exit;
  }

  if($load_action == "editFloat" && login_check($mysqli) == true) {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_val = filter_input(INPUT_POST, 'val', $filter = FILTER_SANITIZE_STRING);
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);

    if($load_field == "enreintritt") {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET eintritt = ? WHERE id = ?");
      $stmt->bind_param('di', $load_val, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.

      echo number_format($load_val,2);
      exit;
    }

    if($load_field == "evteintritt") {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_events SET eintritt = ? WHERE id = ?");
      $stmt->bind_param('di', $load_val, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.

      echo number_format($load_val,2);
      exit;
    }
  }

  if($load_action == "editBool" && login_check($mysqli) == true) {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_val = filter_input(INPUT_POST, 'val', $filter = FILTER_SANITIZE_STRING);
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);

    if($load_val == "true") {
      $load_val = 1;
    } else {
      $load_val = 0;
    }

    if($load_field == "LGBT") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET LGBT = ? WHERE user_id = ?");
      $stmt->bind_param('ii', $load_val, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $langFile->loadText("page",$load_val);
      exit;
    }

    if($load_field == "single") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET single = ? WHERE user_id = ?");
      $stmt->bind_param('ii', $load_val, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $langFile->loadText("page",$load_val);
      exit;
    }

    if($load_field == "enrlgbt") {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET LGBT = ? WHERE id = ?");
      $stmt->bind_param('ii', $load_val, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $langFile->loadText("page",$load_val);
      exit;
    }

    if($load_field == "evtlgbt") {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_events SET LGBT = ? WHERE id = ?");
      $stmt->bind_param('ii', $load_val, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $langFile->loadText("page",$load_val);
      exit;
    }

    if($load_field == "evtveggie") {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_events SET veggie = ? WHERE id = ?");
      $stmt->bind_param('ii', $load_val, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $langFile->loadText("page",$load_val);
      exit;
    }
  }

  if($load_action == "editText" && login_check($mysqli) == true) {
    $load_text = $_POST['val'];
    $load_text = strip_tags($load_text, '<br>');
    $load_text = clearWordWrap($load_text, 25);

    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);

    if($load_field == "enrbeschreibung") {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET beschreibung = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "evtbeschreibung") {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_events SET beschreibung = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }
  }
  if($load_action == "editField" && login_check($mysqli) == true) {
    $load_field = filter_input(INPUT_POST, 'field', $filter = FILTER_SANITIZE_STRING);
    $load_text = filter_input(INPUT_POST, 'text', $filter = FILTER_SANITIZE_STRING);
    $load_id = filter_input(INPUT_POST, 'evtid', $filter = FILTER_SANITIZE_STRING);

    if($load_field == "firmenname") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET firmenname = ? WHERE user_id = ?");
      $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "vorname") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET vorname = ? WHERE user_id = ?");
      $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "nachname") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET nachname = ? WHERE user_id = ?");
      $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "nick") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET nick = ? WHERE user_id = ?");
      $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "enrstrasse") {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET strasse = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "evtstrasse") {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_events SET strasse = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "strasse") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET strasse = ? WHERE user_id = ?");
      $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "enrplz") {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET plz = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "evtplz") {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_events SET plz = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "plz") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET plz = ? WHERE user_id = ?");
      $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "enrort") {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET ort = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "evtort") {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_events SET ort = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "enrwebseite") {
      $user_id = getEnrUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_einrichtung SET webseite = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "evtwebseite") {
      $user_id = getEvtUser($load_id, $mysqli);

      if($user_id != $_SESSION['user_id']) {
        exit;
      }

      $stmt = $mysqli->prepare("UPDATE lotus_events SET webseite = ? WHERE id = ?");
      $stmt->bind_param('si', $load_text, $load_id);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "webseite") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET firmenhomepage = ? WHERE user_id = ?");
      $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }

    if($load_field == "ort") {
      $stmt = $mysqli->prepare("UPDATE lotus_user SET ort = ? WHERE user_id = ?");
      $stmt->bind_param('si', $load_text, $_SESSION['user_id']);  // Bind "id" to parameter.
      $stmt->execute();    // Führe die vorbereitete Anfrage aus.
      $stmt->close();

      echo $load_text;
      exit;
    }


  }

}
