<?php
session_start();

include_once 'autoload.php';

$load_action = filter_input(INPUT_GET, 'action', $filter = FILTER_SANITIZE_STRING);

if(login_check($mysqli) == true) {

// Access the $_FILES global variable for this specific file being uploaded
// and create local PHP variables from the $_FILES array of information
$fileName = $_FILES["datei"]["name"]; // The file name
$fileTmpLoc = $_FILES["datei"]["tmp_name"]; // File in the PHP tmp folder
$fileType = $_FILES["datei"]["type"]; // The type of file it is
$fileSize = $_FILES["datei"]["size"]; // File size in bytes
$fileErrorMsg = $_FILES["datei"]["error"]; // 0 for false... and 1 for true
$kaboom = explode(".", $fileName); // Split file name into an array using the dot
$fileExt = end($kaboom); // Now target the last array element to get the file extension

// START PHP Image Upload Error Handling --------------------------------------------------
if (!$fileTmpLoc) { // if file not chosen
    echo "ERROR: Please browse for a file before clicking the upload button.";
    exit();
} else if($fileSize > 5242880) { // if file size is larger than 5 Megabytes 5242880
    echo "ERROR: Your file was larger than 5 Megabytes in size.";
    unlink($fileTmpLoc); // Remove the uploaded file from the PHP temp folder
    exit();
} else if (!preg_match("/.(gif|jpg|png)$/i", $fileName) ) {
     // This condition is only if you wish to allow uploading of specific file types
     echo "ERROR: Your image was not .gif, .jpg, or .png.";
     unlink($fileTmpLoc); // Remove the uploaded file from the PHP temp folder
     exit();
} else if ($fileErrorMsg == 1) { // if file upload error key is equal to 1
    echo "ERROR: An error occured while processing the file. Try again.";
    exit();
}
// END PHP Image Upload Error Handling ----------------------------------------------------

if($load_action == 'setProfil') {

    //uploadverzeichnis
    $uploadDir = "../../Resources/images/user/".$_SESSION['user_id']."/";
    $Dir = "Resources/images/user/".$_SESSION['user_id']."/";
    $profilfileName = 'profil_'.$fileName;

    $profileImg = "";
    $stmt = $mysqli->prepare("SELECT avatar FROM lotus_user WHERE user_id = ?");
    $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "$id" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.
    $stmt->bind_result($profileImg);
    $stmt->fetch();
    $stmt->close();

    if($profileImg == "") {
      if(!is_dir($uploadDir)) {
        mkdir($uploadDir);
      }
    } else {
      echo $uploadDir.$profileImg;
      if(file_exists($uploadDir.$profileImg)) {
        unlink($uploadDir.$profileImg);
      }
    }

    $stmt = $mysqli->prepare("UPDATE lotus_user SET avatar = ? WHERE user_id = ?");
    $stmt->bind_param('si', $profilfileName, $_SESSION['user_id']);  // Bind "id" to parameter.
    $stmt->execute();    // Führe die vorbereitete Anfrage aus.

    $wmax = 160;
    $hmax = 160;
}

// Place it into your "uploads" folder mow using the move_uploaded_file() function
$moveResult = move_uploaded_file($fileTmpLoc, $uploadDir.$fileName);
// Check to make sure the move result is true before continuing
if ($moveResult != true) {
    echo "ERROR: File not uploaded. Try again.";
    unlink($fileTmpLoc); // Remove the uploaded file from the PHP temp folder
    exit();
}
//unlink($fileTmpLoc); // Remove the uploaded file from the PHP temp folder
// ---------- Include Universal Image Resizing Function --------

include_once("ak_php_img_lib_1.0.php");
$target_file = $uploadDir.$fileName;
$resized_file = $uploadDir.$profilfileName;
$resized_fileUrl = $Dir.$profilfileName;

ak_img_resize($target_file, $resized_file, $wmax, $hmax, $fileExt);
unlink($target_file);
// ----------- End Universal Image Resizing Function -----------
// Display things to the page so you can see what is happening for testing purposes
//echo "The file named <strong>$fileName</strong> uploaded successfuly.<br /><br />";
//echo "It is <strong>$fileSize</strong> bytes in size.<br /><br />";
//echo "It is an <strong>$fileType</strong> type of file.<br /><br />";
//echo "The file extension is <strong>$fileExt</strong><br /><br />";
//echo "The Error Message output for this upload is: $fileErrorMsg";

}
?>
