<?php
$fb = new \Facebook\Facebook([
  'app_id' => 'xxx',
  'app_secret' => 'xxx',
  'default_graph_version' => 'v2.2',
  //'default_access_token' => '{access-token}', // optional
]);

$helper = $fb->getRedirectLoginHelper();

if (isset($_GET['state'])) {
  $helper->getPersistentDataHandler()->set('state', $_GET['state']);
}

$permissions = ['email']; // Optional permissions
$loginUrl = $helper->getLoginUrl('https://gegenkultur.info/', $permissions);

try {
  $accessToken = $helper->getAccessToken();
} catch(Facebook\Exceptions\FacebookResponseException $e) {
  // When Graph returns an error
  echo 'Graph returned an error: ' . $e->getMessage();
  exit;
} catch(Facebook\Exceptions\FacebookSDKException $e) {
  // When validation fails or other local issues
  echo 'Facebook SDK returned an error: ' . $e->getMessage();
  exit;
}

if (!isset($accessToken)) {
  if ($helper->getError()) {
    header('HTTP/1.0 401 Unauthorized');
    echo "Error: " . $helper->getError() . "\n";
    echo "Error Code: " . $helper->getErrorCode() . "\n";
    echo "Error Reason: " . $helper->getErrorReason() . "\n";
    echo "Error Description: " . $helper->getErrorDescription() . "\n";
  } else {
    //header('HTTP/1.0 400 Bad Request');
    //echo 'Bad request';
  }
  //exit;
} else {

  // Logged in
  //echo '<h3>Access Token</h3>';
  //var_dump($accessToken->getValue());

  // The OAuth 2.0 client handler helps us manage access tokens
  $oAuth2Client = $fb->getOAuth2Client();

  // Get the access token metadata from /debug_token
  $tokenMetadata = $oAuth2Client->debugToken($accessToken);
  //echo '<h3>Metadata</h3>';
  //var_dump($tokenMetadata);

  // Validation (these will throw FacebookSDKException's when they fail)
  $tokenMetadata->validateAppId('xxx'); // Replace {app-id} with your app id
  // If you know the user ID this access token belongs to, you can validate it here
  //$tokenMetadata->validateUserId('123');
  $tokenMetadata->validateExpiration();

  if (! $accessToken->isLongLived()) {
    // Exchanges a short-lived access token for a long-lived one
    try {
      $accessToken = $oAuth2Client->getLongLivedAccessToken($accessToken);
    } catch (Facebook\Exceptions\FacebookSDKException $e) {
      echo "<p>Error getting long-lived access token: " . $e->getMessage() . "</p>\n\n";
      //exit;
    }

    echo '<h3>Long-lived</h3>';
    var_dump($accessToken->getValue());
  }

  $_SESSION['fb_access_token'] = (string) $accessToken;

  try {
    // Returns a `Facebook\FacebookResponse` object
    $response = $fb->get('/me?fields=id,name,email,first_name,last_name,picture.type(large)', $_SESSION['fb_access_token']);
  } catch(Facebook\Exceptions\FacebookResponseException $e) {
    echo 'Graph returned an error: ' . $e->getMessage();
    exit;
  } catch(Facebook\Exceptions\FacebookSDKException $e) {
    echo 'Facebook SDK returned an error: ' . $e->getMessage();
    exit;
  }
  $user = $response->getGraphUser();

  try {
    // Returns a `Facebook\FacebookResponse` object
    $response2 = $fb->get(
      '/'.$user['id'].'/',
      $_SESSION['fb_access_token']
    );
  } catch(Facebook\Exceptions\FacebookResponseException $e) {
    echo 'Graph returned an error: ' . $e->getMessage();
    exit;
  } catch(Facebook\Exceptions\FacebookSDKException $e) {
    echo 'Facebook SDK returned an error: ' . $e->getMessage();
    exit;
  }
  $graphNode = $response2->getGraphNode();
  /* handle the result */

  //echo '<h3>Login</h3>';

//check register
$load_tokenid = $graphNode['id'];
$load_fname = $user['first_name'];
$load_lname = $user['last_name'];
$load_name = $user['name'];
$load_picture = $user['picture']['url'];

if(isset($user['email'])) {
  $load_email = $user['email'];
} else {
  $load_email = "no@mail.de";
}

$stmt = $mysqli->prepare("SELECT user_id, email FROM lotus_user WHERE fb_id = ?");
$stmt->bind_param('s', $load_tokenid);  // Bind "ids" to parameter.
$stmt->execute();    // Führe die vorbereitete Anfrage aus.
$stmt->bind_result($user_id_check, $email);
$stmt->fetch();
$stmt->close();

if(isset($user_id_check)) {
  $_SESSION['user_id'] = $user_id_check;
  $_SESSION['email'] = $load_email;

  $stmt = $mysqli->prepare("UPDATE lotus_user SET email = ? WHERE fb_id = ?");
  $stmt->bind_param('ss', $load_email, $load_tokenid);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.
  $stmt->close();
} else {
  $stmt = $mysqli->prepare("INSERT INTO lotus_user (fb_id, email, vorname, nachname, nick, getmail, connect, allocate, avatar) VALUES (?,?,?,?,?,1,1,1,'image.jpg')");
  $stmt->bind_param('sssss', $load_tokenid, $load_email, $load_fname, $load_lname, $load_name);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.
  $last_insert = $stmt->insert_id;
  $stmt->close();

  $uploadDir = "Resources/images/user/".$last_insert."/";

  if(!is_dir($uploadDir)) {
    mkdir($uploadDir);
  }

  $image = file_get_contents($load_picture); // sets $image to the contents of the url
  file_put_contents($uploadDir.'image.jpg', $image); // places the contents in the file /path/image.gif

  $_SESSION['user_id'] = $last_insert;
  $_SESSION['email'] = $load_email;
}


  // User is logged in with a long-lived access token.
  // You can redirect them to a members-only page.
  //header('Location: https://spectors.de/index.php');
}
