<?php

function login_check($mysqli) {
  // Überprüfe, ob alle Session-Variablen gesetzt sind
  if (isset($_SESSION['user_id']) && isset($_SESSION['email'])) {
    $userDetails = getUserDetails($_SESSION['user_id'], $mysqli);

    if($userDetails[0]["email"] == $_SESSION['email']) {
      return true;
    } else {
      return false;
    }
  } else {
    //$_SESSION['user_id'] = 2;
    //$_SESSION['email'] = "maxmustermann@gmx.de";
    return false;
  }
}

function getPictureSrc($load_id, $mysqli) {
  $data = array();
  $stmt = $mysqli->prepare("SELECT avatar FROM lotus_user WHERE user_id = ?");
  $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.
  $stmt->bind_result($avatar);
  $stmt->fetch();
  $stmt->close();

  //if(preg_match('/\bhttp\b/',$avatar)) {
  //  $url = $avatar;
  //} else {
    $url = "Resources/images/user/".$load_id."/".$avatar;
  //}

  return $url;
}

function clearWordWrap($text, $count) {
   $textNew = "";
   $text = explode("<br>",$text);

   foreach ($text as &$value) {
     $textSplit = explode(" ",$value);

     foreach ($textSplit as &$value2) {
       $value2 = wordwrap($value2, $count, "<br>", true);
       $textNew = $textNew." ".$value2;
     }

     $textNew = $textNew."<br>";
   }

   return $textNew;
 }

 function getFriendsEvents($userid, $last_id, $page, $mysqli) {
   $eventsList = array();
   $friends = getFriendsList($userid, $mysqli);

   if($last_id == -1) {
     return;
   }

   foreach ($friends as &$value) {
     $events = array();

     $stmt = $mysqli->prepare("SELECT id, event_id FROM lotus_events_teilnahme WHERE user_id = ? AND id > ? ORDER BY id DESC");
     $stmt->bind_param('ii', $value, $last_id);  // Bind "ids" to parameter.
     $stmt->execute();    // Führe die vorbereitete Anfrage aus.
     // hole Variablen von result.
     $stmt->bind_result( $id, $event_id);

     while ($row = $stmt->fetch()){
       $events[] = array(
         'event_id' => $event_id,
         'user_id' => $value,
         'id' => $id,
       );
     }

     $stmt->close();

     foreach ($events as &$value2) {
       $event_id = "";
       $stmt = $mysqli->prepare("SELECT event_id FROM lotus_events_teilnahme WHERE user_id = ? AND event_id = ?");
       $stmt->bind_param('ii', $_SESSION['user_id'] , $value2['event_id']);  // Bind "ids" to parameter.
       $stmt->execute();    // Führe die vorbereitete Anfrage aus.
       // hole Variablen von result.
       $stmt->bind_result($event_id);
       $stmt->fetch();
       $stmt->close();

       if(!$event_id) {
         $eventsList[] = array(
           'event_id' => $value2['event_id'],
           'user_id' => $value2['user_id'],
           'id' => $value2['id']
         );
       }
     }
   }

   $eventsList = array_sort($eventsList, 'id', SORT_DESC);

   $events = array();
   foreach ($eventsList as &$value) {
     $exist = 0;

     foreach ($events as &$value2) {
       if($value2['event_id'] == $value['event_id']) {
         $exist = 1;
       }
     }

     if($exist == 0) {
       $events[] = array(
         'event_id' => $value['event_id'],
         'id' => $value['id']
       );
     }
   }

   $data = array();
   foreach ($events as &$value) {
     $count = 0;
     $teilnehmer = "";
     foreach ($eventsList as &$value2) {
       if($value['event_id'] == $value2['event_id']) {
         $count++;
         $username = getUsername($value2['user_id'], $mysqli);

         if($teilnehmer == "") {
           $teilnehmer = $username;
         } else {
           $teilnehmer = $teilnehmer.", ".$username;
         }
       }
     }

     $data[] = array(
       'event_id' => $value['event_id'],
       'count' => $count,
       'teilnehmer' => $teilnehmer,
       'id' => $value['id'],
     );
   }

   if($data) {
     $data[0] = array(
       'event_id' => $data[0]['event_id'],
       'count' => $data[0]['count'],
       'teilnehmer' => $data[0]['teilnehmer'],
       'id' => $data[0]['id'],
       'satz' => count($data),
     );
   }

   if($last_id <= 0) {
     $data = array_slice($data, 0, $page);
   }

   return $data;
 }

 function getUsername($user_id, $mysqli) {
   $stmt = $mysqli->prepare("SELECT user_id, nick FROM lotus_user WHERE user_id = ?");
   $mysqli->stmt_init();
   $stmt->bind_param('i', $user_id);  // Bind "ids" to parameter.
   $stmt->execute();    // Führe die vorbereitete Anfrage aus.
   $stmt->store_result();
   $stmt->bind_result($id, $username);
   $stmt->fetch();

   return $username;
 }

 function getEventname($load_id, $mysqli) {
   $stmt = $mysqli->prepare("SELECT id, name FROM lotus_events WHERE id = ?");
   $mysqli->stmt_init();
   $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
   $stmt->execute();    // Führe die vorbereitete Anfrage aus.
   $stmt->store_result();
   $stmt->bind_result($id, $eventname);
   $stmt->fetch();

   return $eventname;
 }

 function array_sort($array, $on, $order=SORT_ASC) {
     $new_array = array();
     $sortable_array = array();

     if (count($array) > 0) {
         foreach ($array as $k => $v) {
             if (is_array($v)) {
                 foreach ($v as $k2 => $v2) {
                     if ($k2 == $on) {
                         $sortable_array[$k] = $v2;
                     }
                 }
             } else {
                 $sortable_array[$k] = $v;
             }
         }

         switch ($order) {
             case SORT_ASC:
                 asort($sortable_array);
             break;
             case SORT_DESC:
                 arsort($sortable_array);
             break;
         }

         foreach ($sortable_array as $k => $v) {
             $new_array[$k] = $array[$k];
         }
     }

     return $new_array;
 }

 function getFriendsSortOnlineList($load_id, $mysqli) {
   $data = array();
   $stmt = $mysqli->prepare("SELECT id, userid1, userid2 FROM lotus_friends WHERE status = 2 AND (userid1 = ? OR userid2 = ?)");
   $mysqli->stmt_init();
   $stmt->bind_param('ii', $load_id, $load_id);  // Bind "ids" to parameter.
   $stmt->execute();    // Führe die vorbereitete Anfrage aus.

   // hole Variablen von result.
   $stmt->bind_result($id, $user_id, $user_id2);
   $fid = 0;
   while ($row = $stmt->fetch()){
     if($load_id == $user_id) {
       $fid = $user_id2;
     } else {
       $fid = $user_id;
     }

     if($fid != 0) {
         $data[] = $fid;
     }

     $fid = 0;
   }

   $friendsData = array();
   foreach ($data as &$value) {
     $userDetails = getUserDetails($value, $mysqli);
     $friendsData[] = array(
       'user_id' => $value,
       'last_login' => $userDetails[0]['last_login'],
     );
   }

   $friendsData = array_sort($friendsData, 'last_login', SORT_DESC);

   $data = array();
   foreach ($friendsData as &$value) {
     $data[] = $value["user_id"];
   }

   return $data;
 }

function getFriendsList($load_id, $mysqli) {
  $data = array();
  $stmt = $mysqli->prepare("SELECT id, userid1, userid2 FROM lotus_friends WHERE status = 2 AND (userid1 = ? OR userid2 = ?)");
  $mysqli->stmt_init();
  $stmt->bind_param('ii', $load_id, $load_id);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.

  // hole Variablen von result.
  $stmt->bind_result($id, $user_id, $user_id2);
  $fid = 0;
  while ($row = $stmt->fetch()){
    if($load_id == $user_id) {
      $fid = $user_id2;
    } else {
      $fid = $user_id;
    }

    if($fid != 0) {
        $data[] = $fid;
    }

    $fid = 0;
  }

  return $data;
}

function getIgnoreList($load_id, $mysqli) {
  $data = array();
  $stmt = $mysqli->prepare("SELECT id, userid1, userid2 FROM lotus_friends WHERE status = 3 AND (userid1 = ? OR userid2 = ?)");
  $mysqli->stmt_init();
  $stmt->bind_param('ii', $load_id, $load_id);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.

  // hole Variablen von result.
  $stmt->bind_result($id, $user_id, $user_id2);
  $fid = 0;
  while ($row = $stmt->fetch()){
    if($load_id == $user_id) {
      $fid = $user_id2;
    } else {
      $fid = $user_id;
    }

    if($fid != 0) {
        $data[] = $fid;
    }

    $fid = 0;
  }

  return $data;
}

function getFriendStatus($load_id, $mysqli) {
  $stmt = $mysqli->prepare("SELECT id, userid1, userid2, status FROM lotus_friends WHERE (userid1 = ? AND userid2 = ?) OR (userid1 = ? AND userid2 = ?)");
  $mysqli->stmt_init();
  $stmt->bind_param('iiii', $load_id, $_SESSION['user_id'], $_SESSION['user_id'], $load_id);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.

  // hole Variablen von result.
  $stmt->bind_result($id, $user_id1, $user_id2, $status);
  $stmt->fetch();

  return $status;
}

function getFriendInvite($load_id, $mysqli) {
  $stmt = $mysqli->prepare("SELECT id, userid1, userid2, status FROM lotus_friends WHERE userid1 = ? AND userid2 = ?");
  $mysqli->stmt_init();
  $stmt->bind_param('ii', $load_id, $_SESSION['user_id']);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.

  // hole Variablen von result.
  $stmt->bind_result($id, $user_id1, $user_id2, $status);
  $stmt->fetch();

  return $status;
}

function getFriendIgnore($load_id, $mysqli) {
  $stmt = $mysqli->prepare("SELECT id, userid1, userid2, status FROM lotus_friends WHERE userid1 = ? AND userid2 = ?");
  $mysqli->stmt_init();
  $stmt->bind_param('ii', $_SESSION['user_id'], $load_id);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.

  // hole Variablen von result.
  $stmt->bind_result($id, $user_id1, $user_id2, $status);
  $stmt->fetch();

  return $status;
}

function getUserDetails($load_id, $mysqli) {
  $data = array();
  $stmt = $mysqli->prepare("SELECT user_id, allocate, avatar, email, vorname, nachname, nick, gender, plz, ort, strasse, lat, lng, diaet, religion, last_login, getmail FROM lotus_user WHERE user_id = ?");
  $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.
  $stmt->bind_result($user_id, $allocate, $avatar, $email, $vorname, $nachname, $nick, $gender, $plz, $ort, $strasse, $lat, $lng, $diaet, $religion, $last_login, $getmail);
  $stmt->fetch();
  $stmt->close();

  $data[] = array(
    'user_id' => $user_id,
    'avatar' => $avatar,
    'email' => $email,
    'vorname' => $vorname,
    'nachname' => $nachname,
    'nick' => $nick,
    'gender' => $gender,
    'plz' => $plz,
    'ort' => $ort,
    'strasse' => $strasse,
    'lat' => $lat,
    'lng' => $lng,
    'diaet' => $diaet,
    'religion' => $religion,
    'allocate' => $allocate,
    'last_login' => $last_login,
    'getmail' => $getmail,
  );

  return $data;
}

function getEventDetails($load_id, $mysqli) {
  $data = array();
  $stmt = $mysqli->prepare("SELECT id, user_id, name, plz, ort, strasse, lat, lng, start, ende, religion, LGBT, veggie, eintritt, beschreibung, webseite, ready FROM lotus_events WHERE id = ?");
  $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.
  $stmt->bind_result($id, $user_id, $name, $plz, $ort, $strasse, $lat, $lng, $start, $ende, $religion, $lgbt, $veggie, $eintritt, $beschreibung, $webseite, $ready);
  $stmt->fetch();
  $stmt->close();

  $data[] = array(
    'id' => $id,
    'user_id' => $user_id,
    'name' => $name,
    'plz' => $plz,
    'ort' => $ort,
    'strasse' => $strasse,
    'lat' => $lat,
    'lng' => $lng,
    'start' => $start,
    'ende' => $ende,
    'religion' => $religion,
    'lgbt' => $lgbt,
    'veggie' => $veggie,
    'eintritt' => $eintritt,
    'beschreibung' => $beschreibung,
    'webseite' => $webseite,
    'ready' => $ready,
  );

  return $data;
}

function parseDate($date) {
  if($date == "") {
    return $date;
  } else {
    $dateFormat = date('d.m.Y H:i:s', $date);
    if($date < time()) {
      $date = "<span style='color: red'>".$dateFormat."</span>";
    } else {
      if(date('Y.m.d', $date) == date('Y.m.d', time())) {
        $date = "<span style='color: blue'>".$dateFormat."</span>";
      } else {
        $date = "<span style='color: green'>".$dateFormat."</span>";
      }
    }
  }

  return $date;
}

function datediff($differenz, $langFile) {
  $now = time();
  $differenz = $now - $differenz;
  $date = 0;

  $minuten = $stunden = 0;
  $sekunden = $differenz % 60;
  if ($differenz >= 60) {
    $differenz = floor($differenz/60);
    $minuten = $differenz % 60;
    if ($differenz >= 60) {
      $differenz = floor($differenz/60);
      $stunden = $differenz;
    }
  }

  if($stunden > 24) {
    $date = $stunden / 24;
    if(intval($date) == 1) {
      $date = intval($date);
      //$date = $langFile->loadText("page","vor")." ".intval($date)." ".$langFile->loadText("page","Tag");
    } else {
      $date = intval($date);
      //$date = $langFile->loadText("page","vor")." ".intval($date)." ".$langFile->loadText("page","Tagen");
    }
  } else if ($stunden > 0) {
    if($stunden == 1) {
      $date = intval($stunden);
      //$date = $langFile->loadText("page","vor")." ".intval($stunden)." ".$langFile->loadText("page","Stunde");
    } else {
      $date = intval($stunden);
      //$date = $langFile->loadText("page","vor")." ".intval($stunden)." ".$langFile->loadText("page","Stunden");
    }
  } else {
    if($minuten > 1) {
      $date = intval($minuten);
      //$date = $langFile->loadText("page","vor")." ".intval($minuten)." ".$langFile->loadText("page","Minuten");
    } else {
      $date = intval($minuten);
      //$date = "vor 1 Minute";
    }
  }

  return $date;
  //return "$stunden Stunden, $minuten Minuten, $sekunden Sekunden";
}

function isOnline($differenz) {
  $now = time();
  $differenz = $now - $differenz;
  $date = 0;

  $minuten = $stunden = 0;
  $sekunden = $differenz % 60;
  if ($differenz >= 60) {
    $differenz = floor($differenz/60);
    $minuten = $differenz % 60;
    if ($differenz >= 60) {
      $differenz = floor($differenz/60);
      $stunden = $differenz;
    }
  }

  $date = intval($minuten);

  return $date;
  //return "$stunden Stunden, $minuten Minuten, $sekunden Sekunden";
}

function getEvtUser($load_id, $mysqli) {
  $stmt = $mysqli->prepare("SELECT user_id FROM lotus_events WHERE id = ?");
  $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.
  $stmt->bind_result($user_id);
  $stmt->fetch();
  $stmt->close();

  return $user_id;
}

function getEnrUser($load_id, $mysqli) {
  $stmt = $mysqli->prepare("SELECT user_id FROM lotus_einrichtung WHERE id = ?");
  $stmt->bind_param('i', $load_id);  // Bind "ids" to parameter.
  $stmt->execute();    // Führe die vorbereitete Anfrage aus.
  $stmt->bind_result($user_id);
  $stmt->fetch();
  $stmt->close();

  return $user_id;
}
?>
