<?php
session_start();

if(isset($_GET['logout'])) {
  $_SESSION = array();
  session_destroy();
}

error_reporting(E_ALL);
ini_set("display_errors", 1);

include_once 'autoload.php';

?>

<!DOCTYPE html>
<html>
  <head>
      <title>Gegenkultur v0.99</title>
      <meta charset="utf-8">
      <meta name="author" content="Helmut Dietrich">
      <meta name="description" content="Eventplaner, Partnerbörse, Gelbe Seiten">
      <meta name="keywords" content="Events, Partner, Connect, Veggie, Vegetarisch, Koscher, Halal, Heilige Kuh, Vegan, LGBT, Homo, Trans, Gelbe Seiten, ">

      <meta property="og:title" content="Gegenkultur">
      <meta property="og:description" content="Finde Freunde, Events und Einrichtungen!">
      <meta property="og:type" content="website">
      <meta property="og:site_name" content="Gegenkultur">
      <meta property="og:url" content="https://spectors.de">
      <meta property="og:image" content="https://gegenkultur.info/titlePic.jpg">

      <meta name="viewport" content="width=device-width, initial-scale=1.0">

      <link rel="shortcut icon" type="image/x-icon" href="/favicon.ico">

      <link rel="stylesheet" href="Resources/Stylesheets/jquery.datetimepicker.css">
      <link href="https://fonts.googleapis.com/css?family=Raleway" rel="stylesheet">
      <link rel="stylesheet" href="Resources/Stylesheets/styles.css">
      <script type="text/JavaScript" src="Resources/Js/vendor/jquery-2.1.1.min.js"></script>
      <script type="text/JavaScript" src="Resources/Js/vendor/jqueryui.js"></script>
      <script type="text/JavaScript" src="Resources/Js/vendor/jquery.datetimepicker.js"></script>
      <script type="text/JavaScript" src="Resources/Js/scripts.js"></script>
      <script type="text/javascript" src="//maps.googleapis.com/maps/api/js?v=3.exp&key=AIzaSyBXfxMrZBfOLjFV-3SoEYlcZErK6tjGTJQ&language=de"></script>

      <!-- Global site tag (gtag.js) - Google Analytics -->
      <script async src="https://www.googletagmanager.com/gtag/js?id=UA-132850936-1"></script>
      <script>
        window.dataLayer = window.dataLayer || [];
        function gtag(){dataLayer.push(arguments);}
        gtag('js', new Date());

        gtag('config', 'UA-132850936-1');
      </script>

  </head>

  <body>
    <div id="seite">
      <header>

        <?php if(login_check($mysqli) == false) { ?>

          <nav id="sideLogin" class="openBox" data-box="loginBox">
            Login
          </nav>

        <?php } ?>

        <?php if(login_check($mysqli) == true) { ?>
          <?php
          $data = array();
          $data = getFriendsEvents($_SESSION['user_id'], 0, 5, $mysqli);
          ?>
          <nav id="eventMsg" class="dropdown">
           <ul>
             <?php
               foreach ($data as &$value) {
                 if($value['count'] > 1) {
                   $text = $langFile->loadText("page","friendstake");
                 } else {
                   $text = $langFile->loadText("page","friendtake");
                 }

                 $eventname = getEventname($value['event_id'], $mysqli);

                 echo "<li class='openBox' data-box='eventBox' data-eventid='".$value['event_id']."' data-tooltip='".$value['teilnehmer']."'>";
                   echo $value['count']." ".$text." ".$langFile->loadText("page","an")." '".$eventname."' ".$langFile->loadText("page","teil");
                 echo "</li>";
               }

               if(isset($data[0]) && $data[0]['satz'] > 5) {
                 echo "<li class='olderPager' data-page='10' data-action='eventdropDown'>".$langFile->loadText("page","loadolder")."</li>";
               }
             ?>
           </ul>
          </nav>

          <nav id="msg" class="dropdown">

            <?php
              $stmt = $mysqli->prepare("SELECT Count(id) As CountFrom FROM lotus_msg WHERE userid = ? AND gelesen = 0");
              $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
              $stmt->execute();    // Führe die vorbereitete Anfrage aus.
              // hole Variablen von result.
              $stmt->bind_result($count);
              $stmt->fetch();
              $stmt->close();

              if($count > 0) {
                echo "<span class='count'>".$count."</span>";
              }
            ?>

            <ul>
              <?php
                $data = array();
                $stmt = $mysqli->prepare("SELECT id, typ, msg, fid, evtid FROM lotus_msg WHERE userid = ? ORDER BY id DESC");
                $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
                $stmt->execute();    // Führe die vorbereitete Anfrage aus.
                // hole Variablen von result.
                $stmt->bind_result($id, $typ, $msg, $fid, $evtid);

                while ($row = $stmt->fetch()){
                  $data[] = array(
                    'id' => $id,
                    'typ' => $typ,
                    'msg' => $msg,
                    'fid' => $fid,
                    'evtid' => $evtid,
                  );
                }
                $stmt->close();

                foreach ($data as &$value) {
                  $userdetails = getUserDetails($value['fid'], $mysqli);
                  $avatar = getPictureSrc($userdetails[0]['user_id'], $mysqli);

                  $stmt = $mysqli->prepare("UPDATE lotus_msg SET gelesen = 1 WHERE id = ?");
                  $stmt->bind_param('i', $value['id']);  // Bind "ids" to parameter.
                  $stmt->execute();    // Führe die vorbereitete Anfrage aus.
                  $stmt->close();

                  if($value['typ'] == "evtadd") {
                    echo "<li>";
                    echo "<span class='inline-block openBox' data-box='eventBox' data-eventid='".$evtid."'><img class='avatarSmall' src='".$avatar."'></span>";
                    echo "<span class='inline-block openBox' data-box='eventBox' data-eventid='".$evtid."' style='width: 145px; padding-left: 5px;'><b>".$userdetails[0]['nick']."</b> ".$langFile->loadText("page",$value['msg'])."</span>";
                    echo "<span class='deleteMsg' data-id='".$value['id']."'></span>";
                    echo "</li>";
                  } else if($value['typ'] == "enradd") {
                    echo "<li>";
                    echo "<span class='inline-block openBox' data-box='enrBox' data-eventid='".$evtid."'><img class='avatarSmall' src='".$avatar."'></span>";
                    echo "<span class='inline-block openBox' data-box='enrBox' data-eventid='".$evtid."' style='width: 145px; padding-left: 5px;'><b>".$userdetails[0]['nick']."</b> ".$langFile->loadText("page",$value['msg'])."</span>";
                    echo "<span class='deleteMsg' data-id='".$value['id']."'></span>";
                    echo "</li>";
                  } else {
                    echo "<li class='openBox ".$value['typ']."' data-box='profilBox' data-userid='".$value['fid']."' data-id='".$value['id']."'>";
                    echo "<span class='inline-block'><img class='avatarSmall' src='".$avatar."'></span>";
                    echo "<span class='inline-block' style='width: 145px; padding-left: 5px;'><b>".$userdetails[0]['nick']."</b> ".$langFile->loadText("page",$value['msg'])."</span>";
                    echo "</li>";
                  }

                }
              ?>
            </ul>
          </nav>

          <nav id="mail" class="dropdown openBox" data-box='msgBox'>
            <?php
              $stmt = $mysqli->prepare("SELECT count(id) FROM lotus_chat WHERE nachId = ? AND gelesen = 0");
              $stmt->bind_param('i', $_SESSION['user_id']);  // Bind "ids" to parameter.
              $stmt->execute();    // Führe die vorbereitete Anfrage aus.
              // hole Variablen von result.
              $stmt->bind_result($count);
              $stmt->fetch();
              $stmt->close();

              if($count > 0) {
                echo "<span class='count'>".$count."</span>";
              }
            ?>
          </nav>

          <?php $userDetails = getUserDetails($_SESSION['user_id'],$mysqli); ?>
          <nav id="side" class="dropdown <?php echo $allocate; ?>" data-lat="<?php echo $userDetails[0]['lat']; ?>" data-lng="<?php echo $userDetails[0]['lng']; ?>">
            <ul>
              <li class="openBox" data-box="profilBox" data-userid="<?php echo $_SESSION['user_id']; ?>"><?php echo $langFile->loadText("page","Profil"); ?></li>
              <li class="openBox" data-box="friendsBox" data-userid="<?php echo $_SESSION['user_id']; ?>"><?php echo $langFile->loadText("page","Freunde"); ?></li>
              <li class="openBox" data-box="optionsBox" data-userid="<?php echo $_SESSION['user_id']; ?>"><?php echo $langFile->loadText("page","Einstellungen"); ?></li>
              <li class="logout">Logout</li>
            </ul>
          </nav>

        <?php } ?>


        <h1>&nbsp;&nbsp;&nbsp;&nbsp;/<br>Gegenkultur.info<br>/</h1>

        <nav id="main">
          <ul>
            <li><a class="connectMenu openBox" data-box="mapBox" data-id="cnt" data-tooltip="Connect" href="index.php"><?php echo $langFile->loadText("page","Connect"); ?></a></li>
            <li><a class="eventsMenu openBox" data-box="mapBox" data-id="evt" data-tooltip="Events" href="index.php"><?php echo $langFile->loadText("page","Events"); ?></a></li>
            <li><a class="einrichtungenMenu openBox" data-box="mapBox" data-id="enr" data-tooltip="Einrichtungen" href="index.php"><?php echo $langFile->loadText("page","Einrichtungen"); ?></a></li>
          </ul>
        </nav>
      </header>

      <section id="content">
        Gegenkultur.info ist ein Kartendienst der Google Map‘s nutzt um Menschen zu verbinden und zu Informieren. Es können Politische sowie Kulturelle Events und Einrichtungen einem breiten Publikum zugänglich gemacht werden, ohne das versteckte Kosten auf die Betreiber oder den Nutzer warten.
        <br><br>
        Das System beschränkt sich hauptsächlich auf die 3 Funktionen „Connect“, „Events“ und „Einrichtungen“ und steht für Programmierer bald zum Download (Open Source) bereit.
        Wir hoffen auf eine Weiterentwicklung des Systems durch eine Community oder Freie Mitarbeiter.
        <br><br>
        <b>Connect</b><br>
        Menschen die sich einloggen und die Connect Funktion aktiviert haben können sich auf einer Karte finden und anschreiben. Dafür wird Ihre Aktuelle Position über den Browser oder GPS ermittelt und jede halbe Stunde geupdatet. Das Anschreiben oder die Teilnahme kostet kein Geld, und ist somit auch eine echte Alternative gegenüber Partnerbörsen.
        <br><br>
        <b>Events</b><br>
        Registrierte Benutzer können kostenlos Events anmelden/erstellen die auf einer Karte sichtbar gemacht werden. Dafür ist es natürlich nötig Titel, Datum und Adresse anzugeben.
        Auf Gegenkultur.info geht es bei den Events hauptsächlich um Politische Demonstrationen, andere werden gelöscht.
        <br><br>
        <b>Einrichtungen</b><br>
        Wenn eine Organisation einen festen Platz hat (Büro), oder ein Café bzw Forum (Offline) welches den Stammtisch zum Philosophieren einlädt, ist dieser Kartendienst ein Platz um auf sich aufmerksam zu machen.
      </section>

      <footer>
        <div>
          <div class="inline-block col33">
            <b>Site</b><br>
            FAQ<br>
            FAQ<br>
            FAQ<br>
          </div>
          <div class="inline-block col33">
            <b>Portale</b><br>
            Demos-Central.de<br>
            Storages-Central.de<br>
            Veggie-Central.de<br>
          </div>
          <div class="inline-block col33">
            <b>Recht</b><br>
            <span class="openBox" data-box="impBox">Impressum</span><br>
            <span class="openBox" data-box="dsBox">Datenschutz</span><br>
          </div>
          <div class="copyright">
            copyright&copy 2018 by <a target="_blank" href="http://www.spectors.de">spectors.de</a>
          </div>
        </div>
      </footer>
    </div>

    <div class="blackField">
      <div class="lightbox loginBox">
        <div class="close">x</div>
        <h2>Login</h2>
        <?php echo '<a class="fblogin" href="' . htmlspecialchars($loginUrl) . '">Facebook</a>'; ?>
        <?php echo '<a class="twlogin" href="' . $twurl . '">Twitter</a>'; ?>
      </div>

      <div class="lightbox profilBox">
        <div class="close">x</div>
        <div id="profilContent"></div>

        <nav class='profilNav' data-userid='0'>
          <span class='navIco navProfilIco' data-tooltip="Profil"></span>
          <span class='navIco navEventsIco' data-tooltip="Events"></span>
          <span class='navIco navEinrichtungsIco' data-tooltip="Einrichtungen"></span>
        </nav>
      </div>

      <div class="lightbox msgBox">
        <div class="close">x</div>
        <div id="msgContent"></div>
      </div>

      <div class="lightbox chatBox">
        <div class="close">x</div>
        <div id="chatContent"></div>
      </div>

      <div class="lightbox enrBox">
        <div class="close">x</div>
        <div id="enrContent"></div>
      </div>

      <div class="lightbox eventBox">
        <div class="close">x</div>
        <div id="eventContent"></div>
      </div>

      <div class="lightbox friendsBox">
        <div class="close">x</div>
        <div class="search">
          <h2 class='frTitle'>Freunde <span class="small">( <span class="count"></span> )</span></h2>
          <h2 class='frSearch' contenteditable="true">Search...</h2>
          <div class='searchBtn'></div>
        </div>
        <div id="friendsContent"></div>
      </div>

      <div class="lightbox mapBox">
        <div class="close">x</div>
        <div id="map">Map</div>

        <?php
          include_once 'Plugins/filter/connectFilter.php';
          include_once 'Plugins/filter/eventFilter.php';
          include_once 'Plugins/filter/einrichtungFilter.php';
        ?>

        <div id='ResultsNav'></div>
      </div>

      <div class="lightbox optionsBox">
        <div class="close">x</div>
        <h2>Einstellungen</h2>
        <div id="optionsContent"></div>
      </div>

      <div class="lightbox impBox">
        <div class="close">x</div>
        <h2>Impressum - gemäß § 5 TMG.</h2>
        <b>Administrator</b><br>
        Helmut Dietrich<br>
        Wiesenstraße 16<br>
        13357 Berlin<br><br>

        Tel: +49 171 8215479<br>

        spec@spectors.de<br>
      </div>

      <div class="lightbox dsBox">
        <div class="close">x</div>
        <h2>Datenschutzerklärung</h2>
        <div class="scrollable">
          <h2>1. Datenschutz auf einen Blick</h2><br>
          <h4>Allgemeine Hinweise</h4><br>
          <p>Die folgenden Hinweise geben einen einfachen überblick darüber, was mit Ihren personenbezogenen Daten passiert, wenn Sie unsere Website besuchen. Personenbezogene Daten sind alle Daten, mit denen Sie persönlich identifiziert werden können. Ausführliche Informationen zum Thema Datenschutz entnehmen Sie unserer unter diesem Text aufgeführten Datenschutzerklärung.</p><br>
          <h4>Datenerfassung auf unserer Website</h4><br>
          <p><strong>Wer ist verantwortlich für die Datenerfassung auf dieser Website?</strong></p> <p>Die Datenverarbeitung auf dieser Website erfolgt durch den Websitebetreiber. Dessen Kontaktdaten können Sie dem Impressum dieser Website entnehmen.</p> <p><strong>Wie erfassen wir Ihre Daten?</strong></p> <p>Ihre Daten werden zum einen dadurch erhoben, dass Sie uns diese mitteilen. Hierbei kann es sich z.B. um Daten handeln, die Sie in ein Kontaktformular eingeben.</p> <p>Andere Daten werden automatisch beim Besuch der Website durch unsere IT-Systeme erfasst. Das sind vor allem technische Daten (z.B. Internetbrowser, Betriebssystem oder Uhrzeit des Seitenaufrufs). Die Erfassung dieser Daten erfolgt automatisch, sobald Sie unsere Website betreten.</p> <p><strong>Wofür nutzen wir Ihre Daten?</strong></p> <p>Ein Teil der Daten wird erhoben, um eine fehlerfreie Bereitstellung der Website zu gewährleisten. Andere Daten können zur Analyse Ihres Nutzerverhaltens verwendet werden.</p> <p><strong>Welche Rechte haben Sie bezüglich Ihrer Daten?</strong></p> <p>Sie haben jederzeit das Recht unentgeltlich Auskunft über Herkunft, Empfänger und Zweck Ihrer gespeicherten personenbezogenen Daten zu erhalten. Sie haben außerdem ein Recht, die Berichtigung, Sperrung oder Löschung dieser Daten zu verlangen. Hierzu sowie zu weiteren Fragen zum Thema Datenschutz können Sie sich jederzeit unter der im Impressum angegebenen Adresse an uns wenden. Des Weiteren steht Ihnen ein Beschwerderecht bei der zuständigen Aufsichtsbehörde zu.</p><br>
          <h4>Analyse-Tools und Tools von Drittanbietern</h4><br>
          <p>Beim Besuch unserer Website kann Ihr Surf-Verhalten statistisch ausgewertet werden. Das geschieht vor allem mit Cookies und mit sogenannten Analyseprogrammen. Die Analyse Ihres Surf-Verhaltens erfolgt in der Regel anonym; das Surf-Verhalten kann nicht zu Ihnen zurückverfolgt werden. Sie können dieser Analyse widersprechen oder sie durch die Nichtbenutzung bestimmter Tools verhindern. Detaillierte Informationen dazu finden Sie in der folgenden Datenschutzerklärung.</p> <p>Sie können dieser Analyse widersprechen. über die Widerspruchsmöglichkeiten werden wir Sie in dieser Datenschutzerklärung informieren.</p><br>
          <h3>2. Allgemeine Hinweise und Pflichtinformationen</h3><br>
          <h4>Datenschutz</h4><br>
          <p>Die Betreiber dieser Seiten nehmen den Schutz Ihrer persönlichen Daten sehr ernst. Wir behandeln Ihre personenbezogenen Daten vertraulich und entsprechend der gesetzlichen Datenschutzvorschriften sowie dieser Datenschutzerklärung.</p> <p>Wenn Sie diese Website benutzen, werden verschiedene personenbezogene Daten erhoben. Personenbezogene Daten sind Daten, mit denen Sie persönlich identifiziert werden können. Die vorliegende Datenschutzerklärung erläutert, welche Daten wir erheben und wofür wir sie nutzen. Sie erläutert auch, wie und zu welchem Zweck das geschieht.</p> <p>Wir weisen darauf hin, dass die Datenübertragung im Internet (z.B. bei der Kommunikation per E-Mail) Sicherheitslücken aufweisen kann. Ein lückenloser Schutz der Daten vor dem Zugriff durch Dritte ist nicht möglich.</p><br>
          <h4>Hinweis zur verantwortlichen Stelle</h4><br>
          <p>Die verantwortliche Stelle für die Datenverarbeitung auf dieser Website ist:</p><br>
          <p>Helmut Dietrich<br>
          Wiesenstraße 16<br>
          13357 Berlin<br>
          <br>
          E-Mail: spec@spectors.de</p><br>
          <p>Verantwortliche Stelle ist die natürliche oder juristische Person, die allein oder gemeinsam mit anderen über die Zwecke und Mittel der Verarbeitung von personenbezogenen Daten (z.B. Namen, E-Mail-Adressen o. ä.) entscheidet.</p><br>
          <h4>Widerruf Ihrer Einwilligung zur Datenverarbeitung</h4><br>
          <p>Viele Datenverarbeitungsvorgänge sind nur mit Ihrer ausdrücklichen Einwilligung möglich. Sie können eine bereits erteilte Einwilligung jederzeit widerrufen. Dazu reicht eine formlose Mitteilung per E-Mail an uns. Die Rechtmäßigkeit der bis zum Widerruf erfolgten Datenverarbeitung bleibt vom Widerruf unberührt.</p><br>
          <h4>Beschwerderecht bei der zuständigen Aufsichtsbehörde</h4><br>
          <p>Im Falle datenschutzrechtlicher Verstöße steht dem Betroffenen ein Beschwerderecht bei der zuständigen Aufsichtsbehörde zu. Zuständige Aufsichtsbehörde in datenschutzrechtlichen Fragen ist der Landesdatenschutzbeauftragte des Bundeslandes, in dem unser Unternehmen seinen Sitz hat. Eine Liste der Datenschutzbeauftragten sowie deren Kontaktdaten können folgendem Link entnommen werden: <a href="https://www.bfdi.bund.de/DE/Infothek/Anschriften_Links/anschriften_links-node.html" target="_blank">https://www.bfdi.bund.de/DE/Infothek/Anschriften_Links/anschriften_links-node.html</a>.</p><br>
          <h4>Recht auf Datenübertragbarkeit</h4><br>
          <p>Sie haben das Recht, Daten, die wir auf Grundlage Ihrer Einwilligung oder in Erfüllung eines Vertrags automatisiert verarbeiten, an sich oder an einen Dritten in einem gängigen, maschinenlesbaren Format aushändigen zu lassen. Sofern Sie die direkte übertragung der Daten an einen anderen Verantwortlichen verlangen, erfolgt dies nur, soweit es technisch machbar ist.</p><br>
          <h4>SSL- bzw. TLS-Verschlüsselung</h4><br>
          <p>Diese Seite nutzt aus Sicherheitsgründen und zum Schutz der Übertragung vertraulicher Inhalte, wie zum Beispiel Bestellungen oder Anfragen, die Sie an uns als Seitenbetreiber senden, eine SSL-bzw. TLS-Verschlüsselung. Eine verschlüsselte Verbindung erkennen Sie daran, dass die Adresszeile des Browsers von “http://” auf “https://” wechselt und an dem Schloss-Symbol in Ihrer Browserzeile.</p> <p>Wenn die SSL- bzw. TLS-Verschlüsselung aktiviert ist, können die Daten, die Sie an uns übermitteln, nicht von Dritten mitgelesen werden.</p><br>
          <h4>Auskunft, Sperrung, Löschung</h4><br>
          <p>Sie haben im Rahmen der geltenden gesetzlichen Bestimmungen jederzeit das Recht auf unentgeltliche Auskunft über Ihre gespeicherten personenbezogenen Daten, deren Herkunft und Empfänger und den Zweck der Datenverarbeitung und ggf. ein Recht auf Berichtigung, Sperrung oder Löschung dieser Daten. Hierzu sowie zu weiteren Fragen zum Thema personenbezogene Daten können Sie sich jederzeit unter der im Impressum angegebenen Adresse an uns wenden.</p><br>
          <h4>Widerspruch gegen Werbe-Mails</h4><br>
          <p>Der Nutzung von im Rahmen der Impressumspflicht veröffentlichten Kontaktdaten zur übersendung von nicht ausdrücklich angeforderter Werbung und Informationsmaterialien wird hiermit widersprochen. Die Betreiber der Seiten behalten sich ausdrücklich rechtliche Schritte im Falle der unverlangten Zusendung von Werbeinformationen, etwa durch Spam-E-Mails, vor.</p><br>
          <h3>3. Datenerfassung auf unserer Website</h3><br>
          <h4>Cookies</h4><br>
          <p>Die Internetseiten verwenden teilweise so genannte Cookies. Cookies richten auf Ihrem Rechner keinen Schaden an und enthalten keine Viren. Cookies dienen dazu, unser Angebot nutzerfreundlicher, effektiver und sicherer zu machen. Cookies sind kleine Textdateien, die auf Ihrem Rechner abgelegt werden und die Ihr Browser speichert.</p> <p>Die meisten der von uns verwendeten Cookies sind so genannte “Session-Cookies”. Sie werden nach Ende Ihres Besuchs automatisch gelöscht. Andere Cookies bleiben auf Ihrem Endgerät gespeichert bis Sie diese löschen. Diese Cookies ermöglichen es uns, Ihren Browser beim nächsten Besuch wiederzuerkennen.</p> <p>Sie können Ihren Browser so einstellen, dass Sie über das Setzen von Cookies informiert werden und Cookies nur im Einzelfall erlauben, die Annahme von Cookies für bestimmte Fälle oder generell ausschließen sowie das automatische Löschen der Cookies beim Schließen des Browser aktivieren. Bei der Deaktivierung von Cookies kann die Funktionalität dieser Website eingeschränkt sein.</p> <p>Cookies, die zur Durchführung des elektronischen Kommunikationsvorgangs oder zur Bereitstellung bestimmter, von Ihnen erwünschter Funktionen (z.B. Warenkorbfunktion) erforderlich sind, werden auf Grundlage von Art. 6 Abs. 1 lit. f DSGVO gespeichert. Der Websitebetreiber hat ein berechtigtes Interesse an der Speicherung von Cookies zur technisch fehlerfreien und optimierten Bereitstellung seiner Dienste. Soweit andere Cookies (z.B. Cookies zur Analyse Ihres Surfverhaltens) gespeichert werden, werden diese in dieser Datenschutzerklärung gesondert behandelt.</p><br>
          <h4>Server-Log-Dateien</h4><br>
          <p>Der Provider der Seiten erhebt und speichert automatisch Informationen in so genannten Server-Log-Dateien, die Ihr Browser automatisch an uns übermittelt. Dies sind:</p> <ul> <li>Browsertyp und Browserversion</li> <li>verwendetes Betriebssystem</li> <li>Referrer URL</li> <li>Hostname des zugreifenden Rechners</li> <li>Uhrzeit der Serveranfrage</li> <li>IP-Adresse</li> </ul> <p>Eine Zusammenführung dieser Daten mit anderen Datenquellen wird nicht vorgenommen.</p> <p>Grundlage für die Datenverarbeitung ist Art. 6 Abs. 1 lit. f DSGVO, der die Verarbeitung von Daten zur Erfüllung eines Vertrags oder vorvertraglicher Maßnahmen gestattet.</p><br>
          <h4>Kontaktformular</h4><br>
          <p>Wenn Sie uns per Kontaktformular Anfragen zukommen lassen, werden Ihre Angaben aus dem Anfrageformular inklusive der von Ihnen dort angegebenen Kontaktdaten zwecks Bearbeitung der Anfrage und für den Fall von Anschlussfragen bei uns gespeichert. Diese Daten geben wir nicht ohne Ihre Einwilligung weiter.</p> <p>Die Verarbeitung der in das Kontaktformular eingegebenen Daten erfolgt somit ausschließlich auf Grundlage Ihrer Einwilligung (Art. 6 Abs. 1 lit. a DSGVO). Sie können diese Einwilligung jederzeit widerrufen. Dazu reicht eine formlose Mitteilung per E-Mail an uns. Die Rechtmäßigkeit der bis zum Widerruf erfolgten Datenverarbeitungsvorgänge bleibt vom Widerruf unberührt.</p> <p>Die von Ihnen im Kontaktformular eingegebenen Daten verbleiben bei uns, bis Sie uns zur Löschung auffordern, Ihre Einwilligung zur Speicherung widerrufen oder der Zweck für die Datenspeicherung entfällt (z.B. nach abgeschlossener Bearbeitung Ihrer Anfrage). Zwingende gesetzliche Bestimmungen – insbesondere Aufbewahrungsfristen – bleiben unberührt.</p><br>
          <h4>Registrierung auf dieser Website</h4><br>
          <p>Sie können sich auf unserer Website registrieren, um zusätzliche Funktionen auf der Seite zu nutzen. Die dazu eingegebenen Daten verwenden wir nur zum Zwecke der Nutzung des jeweiligen Angebotes oder Dienstes, für den Sie sich registriert haben. Die bei der Registrierung abgefragten Pflichtangaben müssen vollständig angegeben werden. Anderenfalls werden wir die Registrierung ablehnen.</p> <p>Für wichtige änderungen etwa beim Angebotsumfang oder bei technisch notwendigen änderungen nutzen wir die bei der Registrierung angegebene E-Mail-Adresse, um Sie auf diesem Wege zu informieren.</p> <p>Die Verarbeitung der bei der Registrierung eingegebenen Daten erfolgt auf Grundlage Ihrer Einwilligung (Art. 6 Abs. 1 lit. a DSGVO). Sie können eine von Ihnen erteilte Einwilligung jederzeit widerrufen. Dazu reicht eine formlose Mitteilung per E-Mail an uns. Die Rechtmäßigkeit der bereits erfolgten Datenverarbeitung bleibt vom Widerruf unberührt.</p> <p>Die bei der Registrierung erfassten Daten werden von uns gespeichert, solange Sie auf unserer Website registriert sind und werden anschließend gelöscht. Gesetzliche Aufbewahrungsfristen bleiben unberührt.</p><br>
          <h4>Verarbeiten von Daten (Kunden- und Vertragsdaten)</h4><br>
          <p>Wir erheben, verarbeiten und nutzen personenbezogene Daten nur, soweit sie für die Begründung, inhaltliche Ausgestaltung oder änderung des Rechtsverhältnisses erforderlich sind (Bestandsdaten). Dies erfolgt auf Grundlage von Art. 6 Abs. 1 lit. b DSGVO, der die Verarbeitung von Daten zur Erfüllung eines Vertrags oder vorvertraglicher Maßnahmen gestattet. Personenbezogene Daten über die Inanspruchnahme unserer Internetseiten (Nutzungsdaten) erheben, verarbeiten und nutzen wir nur, soweit dies erforderlich ist, um dem Nutzer die Inanspruchnahme des Dienstes zu ermöglichen oder abzurechnen.</p> <p>Die erhobenen Kundendaten werden nach Abschluss des Auftrags oder Beendigung der Geschäftsbeziehung gelöscht. Gesetzliche Aufbewahrungsfristen bleiben unberührt.</p><br>
          <h3>4. Analyse Tools und Werbung</h3><br>
          <h4>Google Analytics</h4><br>
          <p>Google Analytics wird von uns nicht eingesetzt.</p><br>
          <br>
          <h3>5. Newsletter</h3><br>
          <h4>Newsletterdaten</h4><br>
          <p>Wenn Sie den auf der Website angebotenen Newsletter beziehen möchten, benötigen wir von Ihnen eine E-Mail-Adresse sowie Informationen, welche uns die überprüfung gestatten, dass Sie der Inhaber der angegebenen E-Mail-Adresse sind und mit dem Empfang des Newsletters einverstanden sind. Weitere Daten werden nicht bzw. nur auf freiwilliger Basis erhoben. Diese Daten verwenden wir ausschließlich für den Versand der angeforderten Informationen und geben diese nicht an Dritte weiter.</p> <p>Die Verarbeitung der in das Newsletteranmeldeformular eingegebenen Daten erfolgt ausschließlich auf Grundlage Ihrer Einwilligung (Art. 6 Abs. 1 lit. a DSGVO). Die erteilte Einwilligung zur Speicherung der Daten, der E-Mail-Adresse sowie deren Nutzung zum Versand des Newsletters können Sie jederzeit widerrufen, etwa über den "Austragen"-Link im Newsletter. Die Rechtmäßigkeit der bereits erfolgten Datenverarbeitungsvorgänge bleibt vom Widerruf unberührt.</p> <p>Die von Ihnen zum Zwecke des Newsletter-Bezugs bei uns hinterlegten Daten werden von uns bis zu Ihrer Austragung aus dem Newsletter gespeichert und nach der Abbestellung des Newsletters gelöscht. Daten, die zu anderen Zwecken bei uns gespeichert wurden (z.B. E-Mail-Adressen für den Mitgliederbereich) bleiben hiervon unberührt.</p><br>
          <h3>6. Plugins und Tools</h3><br>
          <h4>YouTube</h4><br>
          <p>Unsere Website nutzt Plugins der von Google betriebenen Seite YouTube. Betreiber der Seiten ist die YouTube, LLC, 901 Cherry Ave., San Bruno, CA 94066, USA.</p> <p>Wenn Sie eine unserer mit einem YouTube-Plugin ausgestatteten Seiten besuchen, wird eine Verbindung zu den Servern von YouTube hergestellt. Dabei wird dem YouTube-Server mitgeteilt, welche unserer Seiten Sie besucht haben.</p> <p>Wenn Sie in Ihrem YouTube-Account eingeloggt sind, ermöglichen Sie YouTube, Ihr Surfverhalten direkt Ihrem persönlichen Profil zuzuordnen. Dies können Sie verhindern, indem Sie sich aus Ihrem YouTube-Account ausloggen.</p> <p>Die Nutzung von YouTube erfolgt im Interesse einer ansprechenden Darstellung unserer Online-Angebote. Dies stellt ein berechtigtes Interesse im Sinne von Art. 6 Abs. 1 lit. f DSGVO dar.</p> <p>Weitere Informationen zum Umgang mit Nutzerdaten finden Sie in der Datenschutzerklärung von YouTube unter: <a href="https://www.google.de/intl/de/policies/privacy" target="_blank">https://www.google.de/intl/de/policies/privacy</a>.</p><br>
          <h4>Google Web Fonts</h4><br>
          <p>Diese Seite nutzt zur einheitlichen Darstellung von Schriftarten so genannte Web Fonts, die von Google bereitgestellt werden. Beim Aufruf einer Seite lädt Ihr Browser die benötigten Web Fonts in ihren Browsercache, um Texte und Schriftarten korrekt anzuzeigen.</p> <p>Zu diesem Zweck muss der von Ihnen verwendete Browser Verbindung zu den Servern von Google aufnehmen. Hierdurch erlangt Google Kenntnis darüber, dass über Ihre IP-Adresse unsere Website aufgerufen wurde. Die Nutzung von Google Web Fonts erfolgt im Interesse einer einheitlichen und ansprechenden Darstellung unserer Online-Angebote. Dies stellt ein berechtigtes Interesse im Sinne von Art. 6 Abs. 1 lit. f DSGVO dar.</p> <p>Wenn Ihr Browser Web Fonts nicht unterstützt, wird eine Standardschrift von Ihrem Computer genutzt.</p> <p>Weitere Informationen zu Google Web Fonts finden Sie unter <a href="https://developers.google.com/fonts/faq" target="_blank">https://developers.google.com/fonts/faq</a> und in der Datenschutzerklärung von Google: <a href="https://www.google.com/policies/privacy/" target="_blank">https://www.google.com/policies/privacy/</a>.</p><br>
          <h4>Google Maps</h4><br>
          <p>Diese Seite nutzt über eine API den Kartendienst Google Maps. Anbieter ist die Google Inc., 1600 Amphitheatre Parkway, Mountain View, CA 94043, USA.</p> <p>Zur Nutzung der Funktionen von Google Maps ist es notwendig, Ihre IP Adresse zu speichern. Diese Informationen werden in der Regel an einen Server von Google in den USA übertragen und dort gespeichert. Der Anbieter dieser Seite hat keinen Einfluss auf diese Datenübertragung.</p> <p>Die Nutzung von Google Maps erfolgt im Interesse einer ansprechenden Darstellung unserer Online-Angebote und an einer leichten Auffindbarkeit der von uns auf der Website angegebenen Orte. Dies stellt ein berechtigtes Interesse im Sinne von Art. 6 Abs. 1 lit. f DSGVO dar.</p> <p>Mehr Informationen zum Umgang mit Nutzerdaten finden Sie in der Datenschutzerklärung von Google: <a href="https://www.google.de/intl/de/policies/privacy/" target="_blank">https://www.google.de/intl/de/policies/privacy/</a>.</p><br>
        </div>
      </div>
    </div>

    <div id="tooltip"></div>
    <div id="income"></div>
  </body>
</html>
